Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md).

---

To Whom It May Concern:

 

We represent Abbott Diabetes Care Inc. (“Abbott”) in connection with its FreeStyle Libre products and the computer programs that run them.  As you may be aware, Abbott is a global leader in diabetes care, providing innovative glucose monitoring solutions, including software, hardware, and digital solutions for consistent and accurate glucose monitoring.  Abbott owns all intellectual property rights in and to these technologies, including its patents, copyrights, trademarks, and trade secrets. 

 

It has come to our attention that a software project titled “DiaBox” has been uploaded to GitHub, Inc.’s (“GitHub”) website and provides unauthorized copies of software from Abbott’s LibreLink program (the “Unauthorized Software”).  The latest release of the Unauthorized Software is available at the following online location: https://github.com/bubbledevteam/diabox/releases/tag/Pre-Release, but additional releases containing Abbott’s valuable intellectual property are available at the following location: https://github.com/bubbledevteam/diabox/releases.  To the best of Abbott’s knowledge, the Unauthorized Software is located at the following specific locations:

 

·       https://github.com/bubbledevteam/diabox/releases/download/2021_04_29/DiaBox_2021.04.29_113.apk

·       https://github.com/bubbledevteam/diabox/releases/download/Pre-Release/Diabox_2021-08-02.apk

·       https://github.com/bubbledevteam/diabox/releases/download/2021_04_06/DiaBox_2021_04_06_112.apk

·       https://github.com/bubbledevteam/diabox/releases/download/2021.04.02/DiaBox_20210402_111.apk

·       https://github.com/bubbledevteam/diabox/releases/download/2021.03.30/DiaBox_110_2021.03.30_1.apk

·       https://github.com/bubbledevteam/diabox/releases/download/2021.03.10/DiaBox_20210310.apk

·       https://github.com/bubbledevteam/diabox/releases/download/2021.03.08/DiaBox_20210308.apk

·       https://github.com/bubbledevteam/diabox/releases/download/2021.03.04/Diabox_2021_03_04.apk

·       https://github.com/bubbledevteam/diabox/releases/download/2021.02.06/DiaBox_20210206.apk

·       https://github.com/bubbledevteam/diabox/releases/download/2021.01.11.1/Diabox_2021_01_11.apk

·       https://github.com/bubbledevteam/diabox/releases/download/2021.01.08.1/Diabox_2021-01-08.apk

·       https://github.com/bubbledevteam/diabox/releases/download/2020.12.02.1/DiaBox_2020-12-02.apk

·       https://github.com/bubbledevteam/diabox/releases/download/Android_2020_1207/DiaBox_2020-12-07.apk

 

Although Abbott provides this identification, consistent with 17 U.S.C. § 512(c)(3)(A)(iii), GitHub should run a search of its networks and systems to confirm whether these files are located in any other locations, including without limitation forks of this code hosted by other users.

 

The creation and release of the Unauthorized Software on GitHub presents significant health and safety concerns for users of Abbott blood glucose monitoring devices.  The genuine software released by Abbott under its FreeStyle LibreLink apps presents patients with interfaces to Abbott’s FreeStyle Libre Sensors, giving patients essential information related to continuous glucose monitoring.  Without Abbott’s rigorous health and safety standards, the release of the Unauthorized Software puts patients in danger of receiving incorrect or incomplete information from compatible glucose monitoring hardware.

 

As the Unauthorized Software available at the locations identified above is used to violate Abbott’s copyrights under United States federal law, we demand that you remove and disable access to it at those locations and any other locations contained on GitHub’s servers.  We also note that this code violates GitHub’s Terms of Service, which state that users “must not violate any applicable laws, including copyright” and that users must “not under any circumstances upload, post, host, or transmit any content that . . . infringes on any proprietary right of any party, including patent, trademark, trade secret, copyright, right of publicity, or other rights.”

 

I have a good faith belief that the use described above is not authorized by Abbott, its agent, or the law (including the fair use doctrine).  I swear, under penalty of perjury, that the information in this letter is accurate and that I am authorized to act on behalf of the owner of an exclusive right that is allegedly infringed.  I also have read and understand GitHub's Guide to Filing a DMCA Notice.  Thank you for your anticipated cooperation.




Nothing contained in this letter is intended as or should be construed to be a waiver of any right or remedy held by Abbott, all of which are expressly reserved.

 

Sincerely,

 

[private]

[private]

KIRKLAND & ELLIS LLP

601 Lexington Avenue, New York, NY 10022

T [private]

M [private]

F [private]

[private]

---

Dear [private],


We are in receipt of your email, but your inquiries misdescribe our letter as well as GitHub’s obligations if it seeks to benefit from the DMCA’s safe harbors.  As our letter makes clear, the repositories that we have identified infringe Abbott’s LibreLink computer program.  Likewise, our letter identifies the specific APKs that infringe that work in a series of bullets.  Abbott is not required to do more, and GitHub should be acting to take down those APKs in response to the letter.  Moreover, GitHub should be reviewing its systems and networks to identify any additional places that those APKs exist, whether in the broader Diabox repository that we identified or elsewhere.  That it has been a week, and GitHub still has not done so does not satisfy its obligation to remove or disable access to the APKs expeditiously.

 

Furthermore, GitHub’s refusal to take action until it completes an independent inspection of the infringing code is contrary to the DMCA and also merely seeks to delay removal of the code that has been identified.  In any case, even a casual review would show that the APK contains files that were directly copied from Abbott and even contain the following copyright notice: “Copyright__c__2015_Abbott_Group_of_Companies___All_rights_reserved___STRICTLY_CONFIDENTIAL___Unauthorized_reuse_of_this_code_is_strictly_prohibited__Statement.” 

 

In any case, Abbott is not required to revise its DMCA take down notice and resubmit it to GitHub.  GitHub has had Abbott’s notice for over a week, and based on the foregoing, we trust that GitHub will act immediately on Abbott’s DMCA take down notice or confirm that it does not intend to benefit from the DMCA safe harbor.

Best regards,


[private]


[private]

KIRKLAND & ELLIS LLP

601 Lexington Avenue, New York, NY 10022

T [private]

F [private]

[private]

[private]

[private]
