Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

Terminology:  
Foundry VTT: A virtual tabletop for playing TTRPGs. Modules developed under this license: https://foundryvtt.com/article/license/v  
Japanese Foundry VTT community: A Japanese community made of volunteers who operate to use Foundry in Japanese. Provider of the localization module in question. https://twitter.com/FoundryVTT_JP

As the [private] of the Github repository, discord server, and Twitter account for the Japanese community, I am authorized to act on behalf of the community during this case.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

URL of the original work: https://github.com/BrotherSharper/foundryVTTja  
URL of the infringing work: https://github.com/asami-8627/JPfoundryvtt

The infringed work is a community-maintained localization module for Foundry VTT's core software and modules, which do not have up-to-date repositories. Ownership of this module belongs to the volunteer work of multiple people (Including myself and the person infringing). What is included in this module is the core localization (most infringed) and but a fraction of the contribution of many authors, whose works are displayed on the repositories of over 100s of Foundry VTT modules.

The original work allows reproduction and usage by anyone without any attribution under the following terms:  
- Attribution is required if this is bundled or used in public in places such as youtube videos, TTRPG replay archives, streams, etc.  
- If the user is using this module for profit, they must join the discord server, including the attribution above.  
- The above limitations are waivered if the user is part of the community's 4$ Patreon tier.  
- Corporate entities are not allowed to use this without any prior discussion for unique licensing with the community.  

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

Files to be taken down:  
https://github.com/asami-8627/JPfoundryvtt/blob/main/lang/jp.json

There are other infringing files, but this is the core one.

Why does this infringe:  
- Original localization file has been in circulation in the community. The person writing this notice ([private]) has over 50% of the contribution, with the rest of the localization being split among different members.  
- The person infringing was part of the localization effort. They have done roughly 20% of the strings currently present. However, they left the community without further notice, as the infringing person's contribution was replaced, but their name was left as a hall of fame.  
- Their infringing work re-distributes parts that the community has curated under a new license of giving free rein of the localization to anybody, ignoring the original license.  

During the "Ask nicely" phase, we came to an agreement where the infringing person would disclose credits to the original work. However, their wording did not remove the new license overwriting the original work's license and the bare minimum accreditation that was added is not satisfactory.  
During this phase, we asked the infringing person to send PRs claiming and removing any strings that they deemed to infringe on their rights, but we were met with silence.

We declare this repository as infringing on community rights and efforts.  
We believe that even if localization may not constitute direct rights, this does not allow a third party to modify existing translations and claim them as their own without proper accreditation. The core localization efforts and current ongoing efforts to promote and sustain Foundry VTT's ecosystem in Japan are solely the merits of the community and the license set forth by the community does not allow third-party entities to use this without accreditation and acknowledgment.

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

No

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

None that I know of during the writing of this takedown.

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Other Change

**Describe the change.**

Option A  
1. Remove the core localization. (specified in the link above)  
2. Give credit to all other authors who made the modules' localization inside the infringing module possible.  
3. Remove any wording that makes any overlapping portion with the original work freely distributable.

Option B  
1. Agree to the license set forth by the original work and place the required wording as the license pertains.  
2. Remove any conflicting licenses that do not standby 1.  
3. Unban the GitHub account "BrotherSharper" to enforce the license via PRs should the infringing person fail to comply in the future.

Option C  
Remove the repository altogether.  
Module localizations can be done by offering them directly to the authors of each module (how 100s of modules have been localized thus far). They are free to commit PRs otherwise; however, we were met with silence during the "Ask nicely" phase.

**Do you have the alleged infringer’s contact information? If so, please provide it.**

Twitter: [private]  
Discord: [private]  
e-mail: [private]  

Note: our communications were one-sidedly closed on their end.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

Phone number: [private]  

**Please type your full legal name below to sign this request.**

[private]  
