**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

UCL owns intellectual property which staff, students and academics may develop during their time at UCL. The ownership structure is detailed in an Intellectual Property Policy and UCL IP includes, but is not limited to, institutional materials, computer programs, technical specifications and technical designs. The material which is the subject of this takedown notice contains IP which is owned by UCL and an academic, [private]. [private] has provided her authority for UCL to submit this takedown notice (separate contact details for [private] can be provided if required). We have sent an initial letter before action to [private] on 30 May 2022.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

The code that has been uploaded addresses the interaction of atoms and molecules with laser fields.  
It is largely a Monte Carlo technique that is based on several steps 1) Initial conditions for electrons and nuclei 2) Propagation Technique 3) Tunnelling of electrons during propagation in order to be able to account for enhanced ionization in strong field driven processes in molecules. The logic of the code, sequence of logical steps, technical details and theories behind each one of these 3 main parts of the code are mostly the same as the Codes developed in [private]’s group.  
The code uploaded seems that it has a very small part that refers to initial conditions to account for rotational states of molecules that was not addressed in the Codes developed in [private]’s group. However, this is a very small part of the code uploaded.  
These Codes have been developed by [private] since 2002 for atoms and since 2006 she extended these Codes to molecules. The molecular Codes were significantly advanced with [private] ([private] of [private]) in 2012, 2013 and 2014 and with [private] ([private] of [private]) from 2010-2014. These Codes include c++ codes for atoms and molecules that have the 3 steps mentioned above, extensive analytical and mathematical work, extensive documentation line by line of the c++ codes, extensive and detailed mathematica files which are used to obtain the appropriate parameters to be used to create microcanonical distributions for the initial conditions involving the position and momentum of atoms and molecules and tunnelling rates for atoms and molecules with the more advanced ones being for molecules, additional mathematica files to create output files that are inserted in the c++ codes as well as extensive hand written and in a paper written style mathematical derivations of all the components of the Physics and Mathematics involved and implemented in the c++ codes.

All the above are what is referred to as Codes and were passed to [private] who joined [private]’s group in October 2013 and stayed until October 2017 for his [private] studies. These Codes are the intellectual property of UCL and [private]. [private] became aware that this is the case with an e-mail that [private] sent to him on December 16, 2013 to clearly state that these Codes would be transferred to him only if he agreed that these Codes were only to be used while in her group, they could not be transferred outside UCL computational machines, they could not be shared with anyone else and they could not be used after leaving her group except if she was to give her consent for a collaborative project (which she never did). [private] replied on December 16, 2013 and gave his consent in writing that this would be the case and this is why the Codes were transferred to him throughout 2013 and until August 2014, since [private] and [private] kept working on significant improvements of the Codes until 2014 and during this time all these significant advances were passed on to [private]. Note that [private] himself had not contributed to any of these major advances of the Codes and this is why he is not a co-author in a major paper published by [private], [private] and [private], which describes some of the theory involved mainly concerning step 2) Propagation Technique described above. [private] contributed only to a few minor aspects of the c++ codes and the majority of his work was using the Codes (changing parameters depending on the atom or molecule he considered) to describe different ionization processes in atoms and molecules.

The codes that [private] has uploaded is written in a more modern version of c++ that includes classes and structures. He has also renamed most variables. However, the technical details and mathematical theories, physics approximations, the logical sequence with which mathematical transformations to different frames are performed are the same as in the Codes. To give a bit more detail of the Codes developed in [private]’s group:
1) In step one of the initial conditions of electrons, one electron is placed at the exit point and a vertical momentum is assigned. The technical details of finding the exit point above and below tunnelling, of creating the perpendicular momentum, the files used to identify the exit point location depending on the pulse are the same in the codes uploaded in GitHub as in the Codes of [private].
2) The propagation technique and frames used, i.e. global regularization scheme, transformation from the Lab frame to the regularized “frame” are the same. This is a general technique that [private] brought in from Astronomy studies and adjusted it to include an external field i.e. the laser field, to treat interaction of atoms and molecules with laser fields. The mathematical details of the transformation were published in a paper 2014 by [private], [private] was not a co-author because he did not contribute. Note that her work and her analytical derivations extended to laser-matter interactions from astronomy is general and can be applied to any number of particles. Hence, this propagation technique is general and can be applied equally to atoms and molecules. While some of the mathematical theory was published, the sequence of steps of how the transformations are performed back and forth between the different frames was never published, the physical variables checked while doing so it was also never published. These steps and subroutines employed in the Propagation Technique of the Codes of [private] are mostly the same and used in the codes uploaded in GitHub.
3) The tunnelling section is very unique because it was a break-through element that [private] has added without anyone else having previously implemented anything like this and it is this tunnelling the reason why these techniques work for molecules. That is, [private] has established these techniques which fully account for the Coulomb potential unlike other classical and semi-classical techniques. When the Coulomb potential
is accounted for, [private] established that tunnelling has to be used otherwise the ionization processes for molecules are inaccurate. For this part, the way she has implemented it in her Codes is very unique, with physical and mathematical approximations involved and technical realization that has never been published and the only way someone could do the same thing is only if they used her Codes. This part in her Codes is implemented in the codes uploaded in Github.

In general, many of the exact details involved in the above 3 steps have never been published since this would undermine [private]’s work. These Codes developed in her group are unique since no-one before her could develop theory and implement numerically the treatment of molecules with laser fields while including the exact Coulomb potential. After [private] finished his [private] in 2017 and left UCL, [private] with 2 of her [private] and Postdocs has significantly advanced these Codes to include the treatment of magnetic field effects by significantly advancing the techniques involved in step 2) described above, that is, the Propagation Technique she has introduced in her studies and another major advancement again in the Propagation Technique to address more than 2 electrons, that is address 3 electron atoms and molecules driven by strong fields. All these major advancements have been published in the last 2 years. These more advanced Codes developed in the last 2 years in [private]’s group have as core the main body of the Codes [private] received throughout 2013 and 2014 while in [private]’s group and uploaded in Github.

The chance that someone could reproduce all the details, theories and approximations involved in the large number of steps involved in [private]’s Codes without having retained copies of the c++ codes, mathematica files and extensive documentation of the codes and the analytical theory in her codes is essentially zero. This is why this work is a trademark of [private] and her group. [private] with an e-mail on 23 May 2022 acknowledges that he is aware that he could use the Codes given to him by [private] and her group members only while in her group and claims he is developing his own code. However, as explained in detail above the code uploaded in GitHub has the same logic, steps, theories, technical details and approximations involved in the Codes in [private]’s group that were given to [private] in 2013 and 2014 for use only while in her group and under no other circumstances. Intellectual Property includes all these aspects of the Codes and lies with UCL and [private] and hence the codes uploaded on GitHub by [private] should be removed.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

https://github.com/ahaichen/STMC-AM

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

No

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

No forks have been searched for.

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

Email address: [private]

Please keep these matters confidential and seek our authorisation in advance before contacting [private] on this email address as we may have received a response to our letter by then.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private], [private] at UCL ([private] and [private])

**Please type your full legal name below to sign this request.**

[private]
