Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).
- offered to connect the owners of the affected repositories with [legal resources](https://github.blog/2020-11-16-standing-up-for-developers-youtube-dl-is-back/#developer-defense-fund) as part of our commitment to standing up for developers.

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

I am an attorney for Nexon US Holding Inc. and acting on behalf of Nexon Co. Ltd and Nexon Korea Corporation (collectively "Nexon"), the owners of the computer platform and security system being circumvented by the software posted on GitHub.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

Nexon is a leader in global entertainment with a portfolio of successful game franchises enjoyed by hundreds of millions of people around the world. Nexon’s intellectual property includes more than 10 Virtual Worlds -- deeply immersive, online, multiplayer games supported by best-in-class live operations.

Nexon's games are available to download using Nexon's launcher, which is available at:
https://www.nexon.com/main/en/download/launcher

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

https://github.com/st4ckh0und/NexonGameSecurity-bypass-wow64  
https://github.com/st4ckh0und/NexonGameSecurity-bypass-alternative  
https://github.com/llkbkh/NexonGameSecurity  
https://github.com/JakobKlocker/NexonGameSecurity-bypass  
https://github.com/davidjoseph9/NexonGameSecurity-Bypass  
https://github.com/davidjoseph9/NexonGameSecurity-Bypass/tree/fix-refactor

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

Nexon uses the NexonGameSecurity platform to control access to copyrighted content in its games. This platform includes numerous elements to control access to copyrighted content, including encryption and obfuscation. More specifically, the NexonGameSecurity platform uses CRC verification to ensure that client memory code is not manipulated. Nexon prevents debugging on the game client. Nexon logs attempts to defeat its security and generates crash reports related to attempted manipulation of the game client.

**How is the accused project designed to circumvent your technological protection measures?**

The repositories state that they are intended to defeat the NexonGameSecurity platform. For example, the repository for NexonGameSecurity-bypass states: "A full emulator bypass for Nexon's NexonGameSecurity version 2.12.24.0. Emulates the initialization-scheme and integrity-check for NGS, tricking the target into believing NGS is actively running untampered."

The repositories create a DLL file named MapleNGSBypass.dll and it can be injected into the MapleStory game client’s memory space using DLL injector programs. Once injected, it will patch the game client and NGS module’s program code in the memory space, and bypass and disable the MapleStory’s security checks and NGS security functions.

The repositories perform the following functions:  
1. The bypass program creates a copy of the original game client's memory code section and passes the address of the copied code to the CRC verification function to verify it so that it can always pass the CRC verification even IF the game client memory code has been manipulated.  
2. It patches return value of the [private] function to 0, so that cheaters can use a debugger on the game client.  
3. It patches return value of the [private]!enqueueLog function to 0.  
4. It patches return value of the [private] function to 0.  
5. It hooks [private] function and generates random 64 bit values.  
6. It disables the ThreadID verification routine.

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

https://github.com/4B-65-79/NexonGameSecurity-bypass-wow64  
https://github.com/assqingt/NexonGameSecurity-bypass-wow64  
https://github.com/bb33bb/NexonGameSecurity-bypass-wow64  
https://github.com/Bia10/NexonGameSecurity-bypass-wow64  
https://github.com/c3358/NexonGameSecurity-bypass-wow64  
https://github.com/CrackerCat/NexonGameSecurity-bypass-wow64  
https://github.com/duckYcy/NexonGameSecurity-bypass-wow64  
https://github.com/elilth/NexonGameSecurity-bypass-wow64  
https://github.com/fcccode/NexonGameSecurity-bypass-wow64  
https://github.com/fengjixuchui/NexonGameSecurity-bypass-wow64  
https://github.com/game-turn-over-skill-group/NexonGameSecurity-bypass-wow64  
https://github.com/gaminfork/NexonGameSecurity-bypass-wow64  
https://github.com/gmh5225/NexonGameSecurity-bypass-wow64  
https://github.com/Gofrettin/NexonGameSecurity-bypass-wow64  
https://github.com/huanghaiyi/NexonGameSecurity-bypass-wow64  
https://github.com/killvxk/NexonGameSecurity-bypass-wow64  
https://github.com/leeza007/NexonGameSecurity-bypass-wow64  
https://github.com/Mattraks/NexonGameSecurity-bypass-wow64  
https://github.com/oung/NexonGameSecurity-bypass-wow64  
https://github.com/pypy-vrc/NexonGameSecurity-bypass-wow64  
https://github.com/shonker/NexonGameSecurity-bypass-wow64  
https://github.com/Softtanck/NexonGameSecurity-bypass-wow64  
https://github.com/ThememoriesIII/NexonGameSecurity-bypass-wow64  
https://github.com/unkmc/NexonGameSecurity-bypass-wow64  
https://github.com/vatsalmasrani/NexonGameSecurity-bypass-wow64  
https://github.com/wakano1816/NexonGameSecurity-bypass-wow64  
https://github.com/wbaby/NexonGameSecurity-bypass-wow64  
https://github.com/wdnmd-RushB/NexonGameSecurity-bypass-wow64  
https://github.com/wuyadie/NexonGameSecurity-bypass-wow64  
https://github.com/YXGust/NexonGameSecurity-bypass-wow64  
https://github.com/zhushaofeng0909/NexonGameSecurity-bypass-wow64  
https://github.com/4B-65-79/NexonGameSecurity-bypass-alternative  
https://github.com/67-6f-64/NexonGameSecurity-bypass-alternative  
https://github.com/CrazyWolf2014/NexonGameSecurity-bypass-alternative  
https://github.com/evergrand/NexonGameSecurity-bypass-alternative  
https://github.com/assqingt/NexonGameSecurity-bypass-alternative  
https://github.com/asuralove/NexonGameSecurity-bypass-alternative  
https://github.com/chenjianyao/NexonGameSecurity-bypass-alternative  
https://github.com/duckYcy/NexonGameSecurity-bypass-alternative  
https://github.com/ExpLife0011/NexonGameSecurity-bypass-alternative  
https://github.com/feiyu0/NexonGameSecurity-bypass-alternative  
https://github.com/fengjixuchui/NexonGameSecurity-bypass-alternative  
https://github.com/gaminfork/NexonGameSecurity-bypass-alternative  
https://github.com/gmh5225/NexonGameSecurity-bypass-alternative  
https://github.com/Gofrettin/NexonGameSecurity-bypass-alternative  
https://github.com/k3v1n1990s/NexonGameSecurity-bypass-alternative  
https://github.com/killvxk/NexonGameSecurity-bypass-alternative  
https://github.com/leeza007/NexonGameSecurity-bypass-alternative  
https://github.com/Mattraks/NexonGameSecurity-bypass-alternative  
https://github.com/momo145/NexonGameSecurity-bypass-alternative  
https://github.com/ouguochong/NexonGameSecurity-bypass-alternative  
https://github.com/oung/NexonGameSecurity-bypass-alternative  
https://github.com/pypy-vrc/NexonGameSecurity-bypass-alternative  
https://github.com/Raitou/NexonGameSecurity-bypass-alternative  
https://github.com/s18leoare/NexonGameSecurity-bypass-alternative  
https://github.com/Softtanck/NexonGameSecurity-bypass-alternative  
https://github.com/usr007/NexonGameSecurity-bypass-alternative  
https://github.com/uvbs/NexonGameSecurity-bypass-alternative  
https://github.com/204065248/NexonGameSecurity  
https://github.com/abevol/NexonGameSecurity  
https://github.com/ashyerv/NexonGameSecurity  
https://github.com/aweNousaku/NexonGameSecurity  
https://github.com/BackupHouse/NexonGameSecurity  
https://github.com/boa9448/NexonGameSecurity  
https://github.com/Coffee120912/NexonGameSecurity  
https://github.com/d34d633f/NexonGameSecurity  
https://github.com/DragonQuestHero/NexonGameSecurity  
https://github.com/duckYcy/NexonGameSecurity  
https://github.com/jdzjames/NexonGameSecurity  
https://github.com/KY0ENG/NexonGameSecurity  
https://github.com/YXGust/NexonGameSecurity  
https://github.com/lizhuowu/NexonGameSecurity  
https://github.com/rafalohaki/NexonGameSecurity  
https://github.com/xiaonian233/NexonGameSecurity  
https://github.com/ashyerv/NexonGameSecurity-bypass  
https://github.com/boa9448/NexonGameSecurity-bypass  
https://github.com/CohortMinseok/NexonGameSecurity-bypass  
https://github.com/GDjung/NexonGameSecurity-bypass  
https://github.com/Softtanck/NexonGameSecurity-bypass-1  
https://github.com/Zyano0x/NexonGameSecurity-bypass  
https://github.com/astra-io/NexonGameSecurity-Bypass  
https://github.com/dylansosa/NexonGameSecurity-Bypass  
https://github.com/easy-forks/NexonGameSecurity-Bypass  
https://github.com/game-turn-over-skill-group/NexonGameSecurity-Bypass  
https://github.com/gamefortech123/NexonGameSecurity-Bypass  
https://github.com/GDjung/NexonGameSecurity-Bypass-1  
https://github.com/jinwo-5892/NexonGameSecurity-Bypass  
https://github.com/kks00/NexonGameSecurity-Bypass  
https://github.com/PhamtomK12/NexonGameSecurity-Bypass  
https://github.com/RustyUncle/NexonGameSecurity-Bypass  
https://github.com/Softtanck/NexonGameSecurity-Bypass-2  
https://github.com/zhushaofeng0909/NexonGameSecurity-Bypass  

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

Nexon does not have the alleged infringer's contact information.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private]  
PCFB ATTORNEYS AT LAW  
[private]  
Phone: [private] | Fax: [private]  
[private] | pcfblaw.com

**Please type your full legal name below to sign this request.**

[private]
