Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).
- offered to connect the owners of the affected repositories with [legal resources](https://github.blog/2020-11-16-standing-up-for-developers-youtube-dl-is-back/#developer-defense-fund) as part of our commitment to standing up for developers.

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

[private] for copyright owner, Nintendo of America Inc.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

The Nintendo Switch console and video games contain technological protection measures (“TPMs”) that permit the Nintendo Switch console to interact only with legitimate Nintendo video game files. This process protects Nintendo’s copyright-protected video games, including but not limited to those covered by U.S. Copyright Registration numbers PA0002213509 (Super Mario Maker 2); PA0002233840 (Animal Crossing: New Horizons); PA0002213908 (Luigi’s Mansion 3); and PA0002028142 (The Legend of Zelda: Breath of the Wild) by preventing users from playing pirated copies of Nintendo’s video games on the Nintendo Switch console and by preventing users from unlawfully copying and playing Nintendo’s video games on unauthorized devices.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

https://github.com/joseantanaper/yuzu

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

Nintendo embeds TPMs in both the Nintendo Switch console and video game files, including but not limited to encryption of the video game files which requires certain cryptographic keys, such as prod.keys, to verify, access, and play each game played on the Nintendo Switch. The TPMs employ encryption as described in more detail below.

The Nintendo Switch console allows users either to play games on physical cartridges that are inserted into the console, or to play games digitally downloaded from Nintendo’s server. Both formats are protected by Nintendo’s TPMs, including encryption of its video games. When games are started on the Nintendo Switch console, the games are decrypted and verified using various Nintendo cryptographic keys so they may be played. Nintendo owns or exclusively controls numerous copyrights in software and games that are protected from unlawful access and copying by the operation of these TPMs. In their ordinary course of operation, the TPMs require the application of information and a process (as described above), with the authority of Nintendo, to gain access to Nintendo’s copyrighted works, and thus effectively control access to and copying of Nintendo’s copyrighted works.

**How is the accused project designed to circumvent your technological protection measures?**

The reported repository offers and provides access to unauthorized copies of cryptographic keys that are used to circumvent Nintendo’s TPMs and infringe Nintendo’s intellectual property rights. Specifically, the reported repository provides to users access to unauthorized copies of cryptographic keys (prod.keys) extracted from the Nintendo Switch firmware. The prod.keys allow users to bypass Nintendo’s TPMs for digital games; specifically, prod.keys allow users to decrypt and play Nintendo Switch games in unauthorized ways. Distribution of keys without the copyright owner’s authorization is a violation of Section 1201 of the Digital Millennium Copyright Act (“DMCA”). [private]; [private]. Additionally, the unauthorized distribution of prod.keys facilitates copyright infringement by permitting users to play pirated versions of Nintendo’s copyright-protected game software on systems without Nintendo’s TPMs or systems on which Nintendo’s TPMs have been disabled. Furthermore, the unauthorized distribution of prod.keys extracted from the Nintendo Switch firmware constitutes copyright infringement of Nintendo Switch firmware itself.  
The repository provides access to prod.keys via a link to a third-party website. Linking to circumvention software is considered “trafficking” in violation of the DMCA where, as here, the party responsible for the link (a) knows that the offending material is on the linked site, (b) knows that the linked material is circumvention technology, and (c) maintains the link for the purpose of disseminating that technology. [private]

This repository also purports to provide access to unauthorized copies of the Nintendo Switch firmware via links to third-party websites in violation of Nintendo’s copyrights. The reported repository therefore violates the DMCA (specifically, trafficking in circumvention devices under 17 U.S.C. §1201) and infringes copyrights owned by Nintendo.

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

No, we have not searched for forks.

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

No, we do not have contact information.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private]  
[private]  
[private]  

**Please type your full legal name below to sign this request.**

[private]  
