Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).
- offered to connect the owners of the affected repositories with [legal resources](https://github.blog/2020-11-16-standing-up-for-developers-youtube-dl-is-back/#developer-defense-fund) as part of our commitment to standing up for developers.

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

[private] for copyright owner, Nintendo of America Inc.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

The Nintendo Switch console and digital video games contain technological protection measures (“Technological Measures”) that permit the Nintendo Switch console to interact only with legitimate Nintendo digital video game files. This process protects Nintendo’s copyright-protected video games, including but not limited to those covered by U.S. Copyright Registration numbers PA0002213509 (Super Mario Maker 2); PA0002233840 (Animal Crossing: New Horizons); PA0002213908 (Luigi’s Mansion 3); and PA0002028142 (The Legend of Zelda: Breath of the Wild) by preventing users from playing pirated copies of Nintendo’s video games on the Nintendo Switch console.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

https://github.com/impeeza/IPS_Patch_Creator

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

The Nintendo Switch console contains Technological Measures that verify each game played on the Nintendo Switch (the “Game TPMs”). The Game TPMs employ encryption and signature checks as described in more detail below.

The Nintendo Switch console allows users either to play games on physical cartridges that are inserted into the console, or to play games digitally downloaded from Nintendo’s server. Both formats are protected by Nintendo’s Technological Measures; in particular, downloaded digital games are protected by encryption, including encrypted title keys, or “signatures,” that are checked by the Game TPMs when a downloaded game is started on the Nintendo Switch console. Nintendo owns or exclusively controls numerous copyrights in software and games that are protected from unlawful access and copying by the operation of these Technological Measures. In their ordinary course of operation, the Technological Measures require the application of information and a process (in the form of the signature checks described above), with the authority of Nintendo, to gain access to Nintendo’s copyrighted works, and thus effectively control access to and copying of Nintendo’s copyrighted works.

**How is the accused project designed to circumvent your technological protection measures?**

The reported repository offers and provides access to circumvention software that infringes Nintendo’s intellectual property rights. Specifically, the reported repository provides IPS Patch Creator to users. IPS Patch Creator permits users to create SigPatches. The use of SigPatches with a modified Nintendo Switch console allows users to bypass Nintendo’s Technological Measures for downloaded digital games; specifically, SigPatches allow users to bypass the signature verification in the Game TPMs when a downloaded digital game is started.

The necessity of SigPatches to operate pirated copies of Nintendo’s video games is widely discussed in groups dedicated to modifying (hacking) the Nintendo Switch console. For example, [private], a site that instructs users how to modify their Nintendo Switch console, states that “Signature patches or SigPatches allow your device to bypass signature checks performed by horizon for installed titles.” (This web site also states “Horizon is the name of the Nintendo Switch operating system.”). Trafficking in circumvention software, such as IPS Patch Creator, violates the Digital Millennium Copyright Act of the United States (specifically, 17 U.S.C. §1201)(DMCA), and infringes copyrights owned by Nintendo.

GitHub has previously removed repositories containing SigPatches for violating the DMCA. For example, on July 29, 2022, GitHub removed the repository at [invalid], which contained Sigpatches, pursuant to a circumvention notice we submitted on behalf of Nintendo (Case #[private]). GitHub subsequently removed the repository at [private] and the network of forks related to that repository for providing Sigpatches via links to a third-party website (Case #[private]). The repository reported in this notice likewise provides access to Sigpatches by providing software that permits users to generate Sigpatches that are then used to unlawfully bypass Nintendo’s Technological Measures. Nintendo therefore asks that GitHub remove or disable access to the reported repository.

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

No, we have not searched for forks.

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

No, we do not have contact information.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private]  
[private]  

**Please type your full legal name below to sign this request.**

[private]  
