Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am the copyright holder.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

Dear GitHub Team,

I am writing to report that my repository has been downloaded, re-uploaded, and altered by another user. This person has changed my original code to falsely claim ownership of the software. Additionally, they have replaced my "Buy Me a Coffee" donation link with a link to their Udemy course, presumably to monetize and promote their work using my software.

It is clear that this user is attempting to take advantage of my work without giving proper credit. The changes they made, as described above, indicate an intent to manipulate my content and claim ownership of my software. I believe that my repository is the genuine one, as I have all the source code, along with timestamps and commits, which can be used for comparison.

I kindly request your assistance in taking down the infringing repository. Your support would be greatly appreciated, not just by me, but by the broader community that relies on the integrity of open-source contributions.

Thank you for your attention to this matter.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

* My original repository: https://github.com/ngntriminh/ResumeGrabber.  
* The repository that has stolen my code: https://github.com/kumaresankp/ResumeGrabber.  
Evidence:  
1. Changing username to claim ownership  
* I included my GitHub username in my original software. Here is the link to the commit file that contains it: https://github.com/ngntriminh/ResumeGrabber/commit/8e6c550a41b3928b6db4547a8017bf12d82c46a4#diff-2b48f7a58e8fb2997077c097c3c07e453d39c5c52946082d1ab473d28912fc00. You can see my username in the 26th line of popup.html within this <small> tag: <small class="text-muted">by ngntriminh with 🖤</small>. This commit was made on July 20th, 2024.  
* Here is the commit file where the user changed my username to theirs:   https://github.com/kumaresankp/ResumeGrabber/commit/ebb23e17be63fb30d868801a59a976c3b8e0e1a3. This commit was made on August 5th, 2024.  
2. Changing donation link to promote and monetize  
* In my original commit file, I included a "Buy Me a Coffee" link. You can see it in the 68th line of popup.html and the 32nd line of popup.js: https://github.com/ngntriminh/ResumeGrabber/commit/90325646de1b3e67227d81a9c548693096388511#diff-2b48f7a58e8fb2997077c097c3c07e453d39c5c52946082d1ab473d28912fc00. This commit was made on July 23rd, 2024.  
* The user changed my "Buy Me a Coffee" link to their Udemy course link in this commit: https://github.com/kumaresankp/ResumeGrabber/commit/a28f91a2858a6e2596075d6a2a11f38e5ba1e74f. This commit was made on August 5th, 2024.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

I would like the GitHub team to take down the repository owned by the user who has been stealing my software and monetizing it. Here is the link: https://github.com/kumaresankp/ResumeGrabber.

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

No

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

Yes. There is a fork but that owner does not violate the MIT license.

**Is the work licensed under an open source license?**

Yes

**Which license?**

MIT

**How do you believe the license is being violated?**

The MIT license requires that copyright notices and disclaimers be included in all copies or substantial portions of the software. The repository in question contains my software, which has been copied and redistributed without including the required copyright notice and license information. Additionally, the owner is monetizing the software without adhering to the terms of the MIT license, which violates the conditions under which the software can be used and redistributed.

**What changes can be made to bring the project into compliance with the license? For example, adding attribution, adding a license, making the repository private.**

To bring the project into compliance with the MIT license, the following changes are needed:

1. Add Attribution: Include the original copyright notice and the full text of the MIT license in all copies or substantial portions of the software.  
Include a License File: Add a LICENSE file to the repository that clearly states the project is licensed under the MIT License and includes the full text of the license.  
2. Update Documentation: Ensure that the README or other documentation reflects that the project is licensed under the MIT License and includes the necessary attribution.  
3. Address Unauthorized Monetization: If applicable, cease any monetization efforts that do not comply with the terms of the MIT license.

These actions will align the project with the requirements of the MIT license and ensure proper attribution and compliance.

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

His GitHub account: https://github.com/kumaresankp.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

My email address: [private]  
My phone number: [private]  

**Please type your full legal name below to sign this request.**

[private]  
