Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

[private] for copyright owner, Nintendo of America Inc.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

The Nintendo Switch console and video games contain technological protection measures (“TPMs”) that permit the Nintendo Switch console to interact only with legitimate Nintendo video game files. This process protects Nintendo’s copyright-protected video games, including but not limited to those covered by U.S. Copyright Registration numbers PA0002213509 (Super Mario Maker 2); PA0002233840 (Animal Crossing: New Horizons); PA0002213908 (Luigi’s Mansion 3); and PA0002028142 (The Legend of Zelda: Breath of the Wild) by preventing users from playing pirated copies of Nintendo’s video games on the Nintendo Switch console and by preventing users from unlawfully copying and playing Nintendo’s video games on unauthorized devices.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

https://github.com/Mikomeme/yuzu-binaries  
https://github.com/aquaworks1/yuzu-binaries  
https://github.com/Ary0075/yuzu-binaries  
https://github.com/cyrusbond/yuzu-binaries  
https://github.com/damiennnnn/yuzu-binaries  
https://github.com/DarrellTate/yuzu-binaries  
https://github.com/felipefacundes/yuzu-binaries  
https://github.com/fenguoerbian/yuzu-binaries  
https://github.com/figo2002/yuzu-binaries  
https://github.com/franaragm/sw-yu-bins  
https://github.com/HeyItsFiore/yuzu-binaries  
https://github.com/hglong16/yuzu-binaries  
https://github.com/Hustle-Ling/yuzu-binaries  
https://github.com/jetwhip/yuzu-binaries  
https://github.com/KMFDManic/yuzu-binaries  
https://github.com/laohi/yuzu-binaries  
https://github.com/Manicsteiner/yuzu-binaries  
https://github.com/minhh2792/yuzu-binaries  
https://github.com/mlykke-mw/yuzu-binaries  
https://github.com/RobinArtemstein/yuzu-binaries  
https://github.com/shamom/yuzu-binaries  
https://github.com/Silvermane06/yuzu-binaries  
https://github.com/sorhkej/yuzu-binaries  
https://github.com/Teknicallity/yuzu-binaries  
https://github.com/Theluga/yuzu-binaries  
https://github.com/tjands/yuzu-binaries  
https://github.com/TOSanthony/yuzu-binaries  
[invalid]  
https://github.com/xielinbo85/yuzu-binaries  
https://github.com/xk-112/yuzu-binaries  
https://github.com/Xu-Perry/yuzu-binaries  
https://github.com/yogeshpatil-in/yuzu-binaries  
https://github.com/YULIANGMAX/yuzu-binaries  
https://github.com/ZefengWang/yuzu-binaries  

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

Nintendo embeds TPMs in both the Nintendo Switch console and video game files, including but not limited to encryption of the video game files which requires certain cryptographic keys, such as prod.keys, that are used to verify, access, and play each game played on the Nintendo Switch. The TPMs employ encryption as described in more detail below.

The Nintendo Switch console allows users either to play games on physical cartridges that are inserted into the console, or to play games digitally downloaded from Nintendo’s server. Both formats are protected by Nintendo’s TPMs, including encryption of its video games. When a game is started on the Nintendo Switch console the games are decrypted and verified using various Nintendo cryptographic keys so they may be played. Nintendo owns or exclusively controls numerous copyrights in software and games that are protected from unlawful access and copying by the operation of these TPMs. In their ordinary course of operation, the TPMs require the application of information and a process (as described above), with the authority of Nintendo, to gain access to Nintendo’s copyrighted works, and thus effectively control access to and copying of Nintendo’s copyrighted works.

**How is the accused project designed to circumvent your technological protection measures?**

The reported repositories offer and provide access to the yuzu emulator or code based on the yuzu emulator. The yuzu emulator is primarily designed to play Nintendo Switch games. Specifically, yuzu illegally circumvents Nintendo’s technological protection measures and runs illegal copies of Nintendo Switch games. Nintendo Switch games are encrypted using proprietary cryptographic keys (prod.keys) which protect against unauthorized access to and copying of the copyrighted games. During operation, yuzu necessarily uses unauthorized copies of these cryptographic keys to decrypt unauthorized copies of Nintendo Switch games, or ROMs, at or immediately before runtime without Nintendo’s authorization. Thus, yuzu is primarily designed to unlawfully “circumvent a technological measure that effectively controls access to a work protected under” the Digital Millennium Copyright Act (DMCA). 17 U.S.C. § 1201(a)(1). Therefore distribution of yuzu constitutes unlawful “traffic[king] in a[] technology ... that ... is primarily designed or produced for the purpose of circumventing a technological measure....” in violation of Section 1201 of the DMCA. [private] (We provided a copy of the Final Judgement & Permanent Injunction to GitHub in connection with Nintendo's previous report #2659630. We are happy to provide an additional copy if needed.)

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

No, we have not searched for forks.

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

No, we do not have contact information.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private]  
[private]  
[private]  

**Please type your full legal name below to sign this request.**

[private]  
