Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

While GitHub did not find sufficient information to determine a valid anti-circumvention claim, we determined that this takedown notice contains other valid copyright claim(s).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

Yes

**Please provide the Zendesk ticket number of your previously submitted notice. Zendesk ticket numbers are 7 digit ID numbers located in the subject line or body of your confirmation email.**

2902620

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

I am an agent authorized to act on behalf of the owner, of certain intellectual property rights ("NEXON Korea");

※ NEXON Korea has given the power of attorney to DAZIUNDA, LLC. to respond to unlawful and infringing behavior on ‘Blue Archive’.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

Blue Archive is a popular free-to-play action RPG developed by NEXON Korea. It features strategic gameplay and anime-style graphics, allowing players to choose from various characters, each with unique abilities and storylines, to embark on quests, battle enemies, and engage in PvP combat. The game offers a mix of PvE and PvP elements, along with extensive customization options for characters and equipment.

For more information, visit the official website: https://bluearchive.nexon.com/

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

https://github.com/rafi1212122/SCHALE.GameServer

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

Blue Archive APK employs several Technical Protection Measures (TPM) to safeguard its integrity and protect against unauthorized access and manipulation. These measures include:

1. Debugger Detection: To prevent tools like Frida from monitoring and manipulating the application's runtime state, Blue Archive includes mechanisms to detect debuggers. This helps maintain the application's integrity and prevent malicious actions.

2. Emulator Detection: Blue Archive has features to detect if the application is running within an emulator. Emulators replicate the hardware and software environment of a mobile device, allowing attackers to analyze and manipulate the app's behavior. By detecting emulators, the application can prevent execution in such environments​​.

3. Method Hooking Prevention: Method hooking allows malicious users to intercept and alter specific function calls within the application. Blue Archive includes security mechanisms to detect and prevent such hooking attempts, ensuring that the application's code execution remains secure and unaltered​.

4. App Integrity Check: Blue Archive performs integrity checks to detect any tampering with its code. This helps prevent the insertion of malicious code or unauthorized modifications to the application.

5. Network Security: To protect against Man-in-the-Middle (MitM) attacks, Blue Archive uses encrypted communication and robust server authentication. This ensures that data transmitted between the user and the server remains secure and cannot be intercepted or altered by attackers​​.

**How is the accused project designed to circumvent your technological protection measures?**

The repository located at the following URL contains source code that violates the copyright of NEXON Korea. This code uses Frida to connect to unauthorized private servers, thereby infringing on NEXON Korea's intellectual property rights and violating NEXON Korea's terms of service.

* Frida is an open-source dynamic instrumentation toolkit that allows users to inject scripts into running applications for the purposes of analysis, debugging, and modification. It is commonly used by security researchers and reverse engineers to interact with and manipulate software in real-time.

The infringing material includes, but is not limited to, the following:

1. Source code files that utilize Frida to manipulate and redirect traffic from NEXON Korea's official servers to unauthorized private servers.
By injecting the source code from the following URL into the official Blue Archive APK, the previously described security and authentication procedures are being bypassed:

https://github.com/rafi1212122/SCHALE.GameServer/blob/master/Scripts/redirect_server_frida/ba.js

The Airisdk observable in the source code is Yostar’s authentication SDK, the official publisher of Blue Archive. Normally, the IP address of the official server is inputted here. However, through the injection of this source code, the IP address of a private server is inserted to establish a connection.

2. Scripts and documentation that detail the process of modifying NEXON Korea's application to bypass its security measures.

3. The following URL is distributing unauthorized copies of the official app's source code without permission:  
https://github.com/rafi1212122/SCHALE.GameServer/tree/master/SCHALE.Common/FlatData

4. The following URL has unauthorized modifications of the official app's source code:  
https://github.com/rafi1212122/SCHALE.GameServer/tree/master/SCHALE.Common/Crypto

These actions not only constitute unauthorized use of NEXON Korea's intellectual property but also breach the Digital Millennium Copyright Act (DMCA) as they involve circumventing NEXON Korea's software protection mechanisms.

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

https://github.com/game4353/SCHALE.GameServer  
https://github.com/18750566610/SCHALE.GameServer  
https://github.com/mkbka/SCHALE.GameServer  
https://github.com/Nagano-original-fireworks-store/SCHALE.GameServer  
https://github.com/OnikayokoMaVie/SCHALE.GameServer  
https://github.com/playstar27/SCHALE.GameServer  
https://github.com/qinfyy/SCHALE.GameServer  
https://github.com/raphaeIl/SCHALE.GameServer  
https://github.com/ryujou/SCHALE.GameServer  
https://github.com/schale24/SCHALE.GameServer  
https://github.com/staytomorrow/SCHALE.GameServer  
https://github.com/SwingCosmic/SCHALE.GameServer  
https://github.com/terrytian1234/SCHALE.GameServer  
https://github.com/wcjqwq/SCHALE.GameServer  
https://github.com/xiaofeiTM233/SCHALE.GameServer  
https://github.com/yemoyu123/SCHALE.GameServer  
https://github.com/Yizuko/SCHALE.GameServer  
https://github.com/zero1234888/SCHALE.GameServer  
https://github.com/zyz102218-gmail/SCHALE.GameServer  
https://github.com/AlexLYH/SCHALE_SENSE  
https://github.com/awwwsl/SCHALE.GameServer  
https://github.com/cdwcgt/SCHALE.GameServer  
https://github.com/CureWhale/SCHALE.GameServer  
https://github.com/diyigemt/SCHALE.GameServer  
https://github.com/Fallingfl/SCHALE.GameServer  
https://github.com/feilongproject/SCHALE.GameServer  
https://github.com/ForkGang/SCHALE.GameServer  
https://github.com/huvz04/SCHALE.GameServer  
https://github.com/jian54345/SCHALE.GameServer  
https://github.com/justpoke1995/SCHALE.GameServer  
https://github.com/kaipol/SCHALE.GameServer  
https://github.com/Kesunorin/SCHALE.GameServer  
https://github.com/leo0215/SCHALE.GameServer  
https://github.com/Luotianyi-0712/SCHALE.GameServer  
https://github.com/majorityberry/SCHALE.GameServer  
https://github.com/MicIsHere/SCHALE.GameServer  

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

No.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private]

**Please type your full legal name below to sign this request.**

[private]
