Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

While GitHub did not find sufficient information to determine a valid anti-circumvention claim, we determined that this takedown notice contains other valid copyright claim(s).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**  
  
Yes, I am the copyright holder.  
  
**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**  
  
No  
  
**Does your claim involve content on GitHub or npm.js?**  
  
GitHub  
  
**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**  
  
Nature of Copyright Ownership or Authorization:  
  
[private] “the copyright owner” of the materials originally created and published on https://hakin9.org/magazines/. These materials are protected under copyright law, and all rights are reserved to the rightful owner, HAKIN9 MEDIA SP. Z O.O. SP. K.  
  
The materials in question have been posted without authorization, consent, or a valid license on the infringing platform/website. As such, this constitutes a direct violation of our intellectual property rights.  
  
**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**  
  
The original copyrighted work consists of digital magazines and articles published by Hakin9, a cybersecurity-focused publication, hosted on the official website https://hakin9.org/magazines/. These works include but are not limited to:  
1. Magazine Issues: A collection of professionally authored and curated content, covering topics such as penetration testing, cybersecurity techniques, tools, and strategies. Each issue features original articles, tutorials, and guides created by experts in the field.  
2. Articles and Tutorials: Original written works and multimedia resources focusing on cybersecurity education, hacking methodologies, and best practices for ethical hacking and defense strategies.  
3. Design and Layout: The unique design, formatting, and branding of the magazines, including cover designs, logos, and overall presentation, are proprietary to Hakin9.  
  
URL to Original Content: https://hakin9.org/magazines/  
  
These materials are protected under copyright law and are exclusive to Hakin9. Any unauthorized reproduction, distribution, or publication of these works on other platforms constitutes copyright infringement.  
  
If you need further details or assistance, feel free to ask!  
  
**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**  
  
https://github.com/deepanshusood/Hakin9.org-Magazines/tree/main  
  
**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**  
  
Yes  
  
**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**  
  
At Hakin9, we have implemented multiple technological measures to protect and control access to our copyrighted materials effectively. These measures include:  
1. Content Access Restrictions  
• Subscription-Based Access: All magazines, articles, and tutorials are accessible only to registered users who purchase a subscription. This ensures that only authorized users have access to the content.  
• Account-Based Authentication: Users are required to log in with a unique username and password to view or download content.  
2. Digital Rights Management (DRM)  
• PDF Protection: Our downloadable magazines and resources are distributed as DRM-protected PDFs. These files:  
• Include watermarks to identify the user who accessed the material.  
• Restrict editing, copying, and unauthorized printing of the files.  
. Anti-Crawling and Scraping Technology  
• CAPTCHA Implementation: To prevent automated bots from scraping content, CAPTCHA is used during login and content access.  
• Bot Detection: Advanced bot-detection tools monitor traffic to block scraping attempts or unauthorized downloads.  
4. Monitoring and Logging  
• Access Logs: We log all user activity, including login attempts, downloads, and IP addresses, to monitor for suspicious activity.  
• Alerts for Excessive Downloads: Automated alerts are triggered for accounts with unusual activity patterns, such as excessive downloads, to detect potential breaches.  
5. Payment Gateways and Secure Transactions  
• SSL Encryption: All transactions and user interactions on the website are secured via HTTPS/SSL encryption.  
• Secure Payment Processors: Trusted payment processors like [private] or [private] are used to ensure only legitimate purchases grant access to the content.  
6. Copyright Notices and User Agreements  
• EULA and Terms of Use: All users agree to an End User License Agreement (EULA) and terms of use that explicitly prohibit the redistribution or unauthorized sharing of content.  
• Embedded Copyright Notices: Every page, magazine, and article includes visible copyright disclaimers to remind users of their legal obligations.  
7. Proactive Content Monitoring  
• Anti-Piracy Measures: We regularly monitor third-party platforms and websites for unauthorized distribution of our materials using automated tools like Google Alerts and DMCA takedown services.  
• DMCA Protection: Our website and content are protected by DMCA, allowing us to swiftly act against infringing content.  
  
**How is the accused project designed to circumvent your technological protection measures?**  
  
4. Content Redistribution  
• Unauthorized Hosting: The materials may be uploaded and shared on third-party platforms (e.g., file-sharing websites, forums, or other websites) without authorization, bypassing the subscription requirement on our site.  
  
**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**  
  
no  
  
**Is the work licensed under an open source license?**  
  
No  
  
**What would be the best solution for the alleged infringement?**  
  
Reported content must be removed  
  
**Do you have the alleged infringer’s contact information? If so, please provide it.**  
  
**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**  
  
**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**  
  
**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**  
  
**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**  
  
**So that we can get back to you, please provide either your telephone number or physical address.**  
  
[private]
  
**Please type your full legal name below to sign this request.**  
  
[private]
