Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

While GitHub did not find sufficient information to determine a valid anti-circumvention claim, we determined that this takedown notice contains other valid copyright claim(s).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am the copyright holder.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

Our company, Panic, has created a handheld gaming system hardware called Playdate, which lives at https://play.date. We are the creators of this hardware and all of its related software. The operating system and its firmware images were created from scratch, by our team of full-time employees, specifically for Playdate.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

The repository in question — that may now be private? — and lives at:

https://github.com/scratchminer/pd-ota

When briefly made public, we learned that this repository contains cracked, unencrypted firmware images for our Playdate handheld gaming system. The repository contained no original work, nor did it contain any original source code, but rather appeared to simply using Github as a file hosting service to distribute this infringing material.

Why do we care? We debated this a lot internally and came up with three basic reasons. First, we distribute Playdate firmware images in an encrypted form primarily to ensure the safety and security of the platform. As a very small company with limited resources, a malicious Playdate firmware image distributed widely to harm customers could carry a high probability of seriously damaging or, at worst, entirely killing our Playdate business. It would be difficult or nearly impossible for our reputation to recover.

Second, unencrypted firmware could enable circumvention of DRM controls allowing the theft/piracy of third party games. It's important to note that these "third parties" aren't huge corporations — they're small, usually one-person developers, for whom every stolen copy represents a true and genuine loss.

Third, admittedly a remote possibility that would require a lot of resources, but: a bad actor could use an unencrypted Playdate firmware image to clone the Playdate hardware, which would also potentially entirely destroy our Playdate business.

To be clear, at Panic we traditionally deeply respect the initiative and spirit of hacking and curiosity. But the potential harm that could come from distribution of unencrypted firmware in this way outweighs our appreciation of this type of interest.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

Unfortunately, as the repository is now (we believe) [private], we aren't able to provide specific URLs for each unencrypted firmware.

One URL we tested and confirmed before the repository was [private] was:  
https://github.com/scratchminer/pd-ota/releases/tag/2.5.0  
Which contained an unencrypted version of our 2.5 firmware.

All unencrypted firmware in this repository should be taken down.

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

We use [private] to encrypt firmware images using a device password programmed at our factory as a key.

**How is the accused project designed to circumvent your technological protection measures?**

The project in question is circumventing our encryption to create unencrypted versions of our firmware images.

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

n/a

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

[private]  
[private]  

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

Panic  
[private]  
[private]  
[private]  

**Please type your full legal name below to sign this request.**

[private]  
