Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

To Whom It may concern:

We hereby notify you on behalf of Microsoft Corporation, (“Microsoft Corporation”) that the following URL https://github.com/mcsmmegathread/mcsmmegathread-official (the “URL”) which you are hosting contains content (the “Infringing Content”) which infringes the copyright, intellectual property rights, goodwill and reputation of Microsoft Corporation, including the following copyright (the “MINECRAFT Copyright”) owned by Microsoft Corporation, found on Microsoft Corporation’s website at https://www.minecraft.net/:

Copyright: MINECRAFT

The URL’s Infringing Content constitutes an infringement of Microsoft Corporation’s intellectual property rights in the MINECRAFT Copyright. This damages the goodwill and reputation of Microsoft Corporation and causes consumer confusion as to whether the Infringing Content is authorized, endorsed, or sponsored by Microsoft Corporation when, in fact, it is not. Microsoft Corporation has an obligation to the public to police against any copyright infringing content which may cause marketplace confusion. Such actions by the URL dilute Microsoft Corporation’s MINECRAFT Copyright, harm its associated goodwill, and constitute, inter alia, a misappropriation and violation of the rights of Microsoft Corporation. This damage to its business entitles Microsoft Corporation to various forms of relief, including monetary compensation.

We represent under penalty of perjury that the information in this notice is true and correct, and that we are authorized to act on behalf of Microsoft Corporation as owner of the MINECRAFT Copyright. We have a good faith belief that this use of the Infringing Content in the URL is not authorized by Microsoft Corporation as the owner of the MINECRAFT Copyright or its agents, nor is such use permissible by law. Use of such Infringing Content in the URL is not defensible. We have notified the registrant and registrar of the URL’s domain in writing of this matter.

Since you are hosting the URL containing the Infringing Content, we request that you immediately disable or suspend such URL without delay. We would appreciate your resolving this matter as soon as possible and confirming that you have done so within the next seven (7) days. Microsoft Corporation reserves the right to take whatever action it considers appropriate to protect its rights and nothing contained in this Notice is intended to constitute a waiver of any of Microsoft Corporation’s legal rights or remedies, all of which are hereby expressly reserved.

Please let us know if you need any additional information.

Sincerely,

The Tracer [private]  
(on behalf of Microsoft Corporation)

[private]

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

Minecraft includes various elements protected by copyright law, encompassing the following aspects:
1. Game Code  
The underlying source code and binary executable code that make up the functionality of Minecraft are copyrighted. This includes:  
• Game Logic: Algorithms and routines for world generation, player interaction, mob behavior, crafting, and other in-game mechanics.  
• Networking Code: Systems that enable multiplayer interaction and server-client communication.  
• Rendering Engine: Code for graphics processing, block rendering, and environmental effects like lighting and weather.enderin  
2. Visual Assets  
• Textures: All visual block designs, mob appearances, and item sprites.  
• User Interface: Menus, health bars, inventory screens, and heads-up displays.  
• Animations: Player and mob movements, such as walking, mining, and jumping.  
3. Audio Assets  
• Music: Background scores composed by artists such as C418 and Lena Raine.  
• Sound Effects: Sounds for actions like block breaking, item pickup, mob interactions, and environmental noises.  
4. World and Gameplay Elements  
• Procedural Generation: The algorithms generating Minecraft's distinctive block-based landscapes, caves, villages, and structures.  
• Game Mechanics: The crafting recipes, survival elements, combat systems, and progression milestones.crafting recipes, survival elements,  
• Unique Features: Redstone mechanics, enchanting, and the nether/end dimensions.  
5. Branding and Trade Dress  
• Logo and Trademarks: The Minecraft name, logo, and associated branding elements.Minecraft name, logo  
• Fonts and Visual Style: The pixelated, blocky design aesthetic central to the game.blocky design aesthetic central to the gameblocky design  
6. Story and Lore  
While not a narrative-heavy game, Minecraft includes elements like The Ender Dragon, The Wither, and other story elements tied to its gameplay experience.

All these elements are protected under copyright law, meaning that reproduction, modification, or distribution without Mojang’s or Microsoft’s permission is a violation.

The repository contains various HTML files and directories, each corresponding to different platforms and topics related to Minecraft: Story Mode. These include guides for platforms such as Windows, macOS, Linux, iOS, Android, PlayStation, Xbox, and more. Additionally, it provides sections like Changelog, Credits, Extras, and More Info to offer comprehensive assistance to users.
The Minecraft: Story Mode Megathread repository provide guidance on accessing Minecraft: Story Mode, which was officially delisted and is no longer available for purchase. The repository provides methods to bypass DRM (Digital Rights Management) or obtain the game illegally, which violates GitHub's policies.  
Minecraft: Story Mode is owned by Mojang/Microsoft. The repository distributes copyrighted game files without authorization violating copyright laws.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

https://github.com/mcsmmegathread/mcsmmegathread-official

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

No

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

https://github.com/zzahkaboom24/mcsmmegathread-official  
https://github.com/toastertido/bcdcc93edb72b808b9aae59fe3485d18  
https://github.com/DidiDidi129/mcsmmegathread-official

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

No

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private]  
[private]  

**Please type your full legal name below to sign this request.**

[private]  
