Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf? If you are submitting this notice on behalf of a company, please be sure to use an email address on the company's domain. If you use a personal email address for a notice submitted on behalf of a company, we may not be able to process it.**

Yes, I am the copyright holder.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. All personal information is redacted before being published to our public DMCA repository.**

The original copyrighted work in question is the Petlibro integration project, which [private] [private] and published in [private] GitHub repository jjjonesjr33/petlibro. This project consists of original source code, documentation, and other creative elements that [private] authored under the GPL-3.0 license.

A user, ssmithTaylor, has forked [private] repository and falsely claimed ownership by modifying key attribution details within the repository. Specifically, they have:  
- Removed [private] and original ownership details from the project.  
- Rebranded the project as their own, despite it being a direct fork of [private] work.  
- Violated the GPL-3.0 license by failing to properly attribute the original author.

The unauthorized changes are visible in the repository comparison link below, where they altered project ownership details:
Compare Log Showing Ownership Change - https://github.com/jjjonesjr33/petlibro/compare/dev...ssmithTaylor:petlibro:dev#diff-bb75504ee019e2a74b0443d985affc461f734a9fa3d1329fb96e418cf6ff77b7  
Original - https://github.com/jjjonesjr33/petlibro/blob/dev/custom_components/petlibro/manifest.json  
Changed by ssmithTaylor - https://github.com/ssmithTaylor/petlibro/blob/dev/custom_components/petlibro/manifest.json

Under the GPL-3.0 license, forks and modifications are allowed; however, removing original authorship and falsely claiming ownership is a clear violation of the license terms and GitHub’s policies. I request that GitHub take action to either:  
1. Restore proper attribution and enforce GPL-3.0 compliance, or  
2. Remove the infringing fork due to misrepresentation and copyright violation.

I am happy to provide further evidence upon request.

**If the original work referenced above is available online, please provide a URL.**

https://github.com/jjjonesjr33/petlibro/compare/dev...ssmithTaylor:petlibro:dev#diff-bb75504ee019e2a74b0443d985affc461f734a9fa3d1329fb96e418cf6ff77b7

https://github.com/jjjonesjr33/petlibro/blob/dev/custom_components/petlibro/manifest.json

https://github.com/ssmithTaylor/petlibro/blob/dev/custom_components/petlibro/manifest.json

**Based on the above, I confirm that:**

The entire repository is infringing

The following URL(s) are infringing:

https://github.com/ssmithTaylor/petlibro

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

No

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Each fork</a> is a distinct repository and <i>must be identified separately.</i> As forks may often contain different material than in the parent repository, if you believe any of the repositories or files in the forks are infringing, please list each fork below:**

https://github.com/ssmithTaylor/petlibro

**Is the work licensed under an open source license?**

Yes

**Which license?**

gnu-general-public-license-v3.0

**How do you believe the license is being violated?**

The license is being violated because the user **ssmithTaylor** has forked the repository and **falsely claimed ownership** of the project by modifying key attribution details. This is a clear violation of the **GPL-3.0 license**, which requires that the original author’s name and copyright notice be preserved in modified versions of the code. By removing proper attribution and presenting the project as their own, they are not complying with the license's terms.

**What changes can be made to bring the project into compliance with the license? For example, adding attribution, adding a license, making the repository private.**

To bring the project into compliance with the GPL-3.0 license, the following changes should be made:

1. Restore Proper Attribution:  
- Reinstate your name and the original copyright notice in the files where the attribution was removed.  
- Ensure that the commit history properly reflects that you are the original author of the project.

2. Add a LICENSE File:  
- Include the GPL-3.0 license text in a LICENSE file at the root of the repository. This is required for compliance with the GPL-3.0 license and ensures users are aware of their rights under the license.

3. Ensure the Source Code is Available:  
- If any modifications or distributions of the project are being made, ensure that the source code (including modifications) is made available to users, in compliance with the GPL-3.0’s requirement to share the source code when distributing binaries.

4. Remove Falsely Claimed Ownership:  
- Remove any references to the false claim of ownership and clearly indicate that you, as the original author, are credited for the work.

5. Public Repository:  
- Since the project is open-source, it should remain public unless the project owner decides to make it private. However, making the repository private does not resolve the attribution and licensing issue—it must remain public under the GPL-3.0.

These steps will restore the project to full compliance with the GPL-3.0 license.

**What would be the best solution for the alleged infringement?**

Select a response

**Do you have the alleged infringer’s contact information? If so, please provide it.**

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

**Please provide a telephone number.**

[private]

**Please type your full legal name below to sign this request. Please provide your full legal name for your signature. Do not put down your username, initials, nickname, or company name. If you do not sign this notice with your legal name, we may not be able to process it.**

[private]
