Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**  
  
Yes, I am the copyright holder.  
  
**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**  
  
Yes  
  
**Please provide the Zendesk ticket number of your previously submitted notice. Zendesk ticket numbers are 7 digit ID numbers located in the subject line or body of your confirmation email.**  
  
2920871  
  
**Does your claim involve content on GitHub or npm.js?**  
  
GitHub  
  
**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**  
  
I would like to report a copyright violation of a German language file for the game Star Citizen and a violation of our licensing terms.  
  
**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**  
  
Good day,  
  
we previously encountered a similar case in a prior ticket #2920871 from August 2024. At that time, the user deleted their account voluntarily. Now, a new account has been created, addressing the same issue once again.  
  
Another GitHub account (https://github.com/SCDeutsch/SCD) has copied our file, made modifications in certain places, failed to credit us as the original authors, and has not published their copy under our licensing terms.  
  
- Original file from [private] (rjcncpt):   
https://raw.githubusercontent.com/rjcncpt/StarCitizen-Deutsch-INI/main/live/global.ini  
https://raw.githubusercontent.com/rjcncpt/StarCitizen-Deutsch-INI/main/live/full/global.ini  
- File from SCDeutsch (Copyright violation):  
https://raw.githubusercontent.com/SCDeutsch/SCD/refs/heads/main/global.ini  
- English original:  
https://raw.githubusercontent.com/rjcncpt/StarCitizen-Deutsch-INI/refs/heads/main/.github/en/live/global.ini  
  
### Findings from Our Analysis:  
1. Embedded Copyright Notice  
- In many mission texts, we include a non-obvious copyright notice in the form of a [private]: [private].  
- This Morse code represents our [private] ([private]).  
- We added these [private] on [private], in the commit 4.0.0 [private] | [private]. For example, you can see the [private] in the line: `[private]`.  
2. Delayed Copying of Our Changes  
- We have identified examples of delayed copying, where our changes appear in their repository shortly after being made in ours.  
- Two specific examples, including screenshots, are provided below.  
  
### Modification Summary  
A total of 11,150 lines (as at 21 February 2024) were changed.  
  
Types of changes:  
- Individual words  
- A few small text blocks  
- Removed punctuation at the end of text blocks  
- Mostly German titles originating from our experimental translation (e.g., `/live/full/global.ini`)  
- Changes from uppercase to lowercase and vice versa  
  
**However, 65,876 lines remain unchanged and identical!**  
  
Given this repeated unauthorized copying, we kindly ask you to set up an IP block for the user in question, preventing them from accessing our repository without additional effort.  
  
### Evidence:  
1. [private] Comparison  
Comparison between the English original, our original, and the copied version:  
[private]
  
2. Commit Comparison 01  
- Our changes on January 31, 2025: [private]    
- Copied on February 1, 2025: [private]    
  
3. Commit Comparison 02  
- Our changes on February 2, 2025: [private]    
- Copied on February 3, 2025: [private]    
  
4. Our guidelines are also noted within the [private] file  
`CC-BY-NC-SA-4-license= [private].`  
  
**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**  
  
https://github.com/SCDeutsch/SCD/blob/main/global.ini  
https://github.com/SCDeutsch  
  
**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**  
  
No  
  
**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**  
  
At the current time, there are no other forks that infringe the copyrights of our file.  
  
**Is the work licensed under an open source license?**  
  
Yes  
  
**Which license?**  
  
CC-BY-NC-SA-4.0  
  
**How do you believe the license is being violated?**  
  
The GitHub repository to which this request refers specifically violates the conditions of attribution and share-alike.  
  
**What changes can be made to bring the project into compliance with the license? For example, adding attribution, adding a license, making the repository private.**  
  
None. The user is not willing to participate in the implementation of our rights.  
  
**What would be the best solution for the alleged infringement?**  
  
Reported content must be removed  
  
**Do you have the alleged infringer’s contact information? If so, please provide it.**  
  
No  
  
**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**  
  
**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**  
  
**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**  
  
**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**  
  
**So that we can get back to you, please provide either your telephone number or physical address.**  
  
If necessary, please call in my native language [private]: [private] 
  
**Please type your full legal name below to sign this request.**  
  
[private]
