Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am the copyright holder.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

Both

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

I, [private], am the [private] and [private] of the faker.js library, which was first published by [private] under the MIT License. As the [private] and copyright holder of the initial codebase, I have the legal right to enforce [private] intellectual property rights regarding this work. [private] name and attribution, as required under the terms of the MIT License, have been removed from the repository located at https://github.com/faker-js/faker, constituting a violation of [private] copyright and the license terms.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

The original copyrighted work in question is faker.js, a JavaScript library [private], [private], created and first published in 2011. This library generates fake data for testing and development purposes and was originally released under the MIT License, which [private] authored and included with the project. The original codebase, which [private] solely developed, includes the core functionality, structure, and implementation of the library, such as the generation of randomized names, addresses, emails, and other data types, along with its modular design.

The original work can be traced back to [private] initial publication on npm (https://www.npmjs.com/package/faker), where [private] released it as an open-source project under the package name faker. The earliest versions of this package, published under [private] name, serve as evidence of [private] authorship and copyright ownership. Additionally, historical records of [private] contributions and the project’s origin can be found in its early GitHub repository, which [private] maintained under [private] personal account (e.g., [private], now archived or forked by others), as well as in the npm package metadata that credits [private] as the author.

The work has since been widely adopted and forked, but [private] original contributions form the foundation of all subsequent iterations, including the version currently hosted at https://github.com/faker-js/faker. The infringement arises from the removal of [private] name and attribution from the MIT License in this repository, which violates the license terms requiring that [private] copyright notice and permission notice be retained in all copies or substantial portions of the software.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

The infringement pertains to the removal of [private] name, [private], as the [private] and copyright holder from the MIT License notice in the repository located at https://github.com/faker-js/faker. Specifically, the file that should be addressed is the LICENSE file (or equivalent license documentation) within the repository, which no longer includes [private] copyright notice as required by the MIT License under which [private] originally released faker.js. The URL to this file is: https://github.com/faker-js/faker/blob/main/LICENSE.

Alternatively, if the maintainers have distributed copies of the software without retaining the original copyright notice across multiple files or releases, I request that the entire repository at https://github.com/faker-js/faker be reviewed and corrected to reinstate [private] attribution, or taken down if compliance cannot be ensured. The removal of [private] name violates the terms of the MIT License, which mandates that the copyright notice and permission notice be included in all copies or substantial portions of the software.

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

No

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

Yes, I have searched for forks of the allegedly infringing repository at https://github.com/faker-js/faker. My primary concern is with the main repository located at https://github.com/faker-js/faker, where [private] name, [private], has been removed from the MIT License notice, violating the terms of the license under which [private] originally released faker.js. Specifically, the LICENSE file at https://github.com/faker-js/faker/blob/main/LICENSE no longer includes [private] copyright notice, which is a breach of the MIT License requirement to retain attribution in all copies or substantial portions of the software.

As of February 22, 2025, GitHub indicates that https://github.com/faker-js/faker has 949 forks. I have reviewed a sample of these forks and found that many replicate the same infringing behavior by omitting [private] name from the license file or related attribution. However, due to the large number of forks, it is impractical to list each one individually at this time. Examples of forks that appear to perpetuate the infringement include:

https://github.com/withshepherd/faker (a notable fork that was created after [private] archived [private] original repository)  
https://github.com/UNIwise/faker (another fork preserving the codebase but potentially omitting [private] attribution).

If GitHub determines that the primary repository at https://github.com/faker-js/faker is infringing, I request that this be addressed first, as it is the central source from which many forks derive. For forks, I request that GitHub either notify fork owners to reinstate [private] copyright notice in compliance with the MIT License or provide me with a mechanism to identify and report specific infringing forks efficiently. At this stage, [private] focus is on correcting the infringement in the main repository, but [private] reserve the right to pursue additional forks if necessary.

**Is the work licensed under an open source license?**

Yes

**Which license?**

MIT License

**How do you believe the license is being violated?**

I believe the license is being violated because [private] name, [private], as the [private] and copyright holder of faker.js, has been removed from the MIT License notice in the repository at https://github.com/faker-js/faker, specifically in the LICENSE file located at https://github.com/faker-js/faker/blob/main/LICENSE. [private] created and released faker.js under the MIT License, which includes the following terms: 'The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.' This requirement ensures that [private] attribution as the [private] is preserved in all distributions of the work.

In the current LICENSE file of the repository, the copyright notice credits 'Faker' and its contributors generally, but [private] name, [private], has been omitted entirely. This removal constitutes a direct violation of the MIT License terms, as it fails to retain [private] specific copyright notice as required. The MIT License does not permit the erasure of the original author’s attribution, and by stripping [private] name from the license, the maintainers of https://github.com/faker-js/faker are distributing the software in a manner that infringes upon [private] intellectual property rights and the conditions [private] set forth when [private] made the work available to the public.

**What changes can be made to bring the project into compliance with the license? For example, adding attribution, adding a license, making the repository private.**

To bring the project at https://github.com/faker-js/faker into compliance with the MIT License under which [private], [private], originally released faker.js, the following change is required: [private] name must be reinstated in the copyright notice within the LICENSE file, located at https://github.com/faker-js/faker/blob/main/LICENSE. Specifically, the copyright notice should be updated to include [private] original attribution, such as 'Copyright (c) 2011 [private],' alongside any additional contributors or entities as appropriate, so long as [private] name is not omitted. The MIT License mandates that 'The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software,' and removing [private] name violates this condition.

The simplest and most direct way to resolve this infringement is to amend the LICENSE file to accurately reflect [private] authorship by adding [private] name back to the copyright notice. This ensures that the terms of the MIT License are honored without requiring the repository to be made private or removed entirely. No additional licenses or changes beyond restoring [private] attribution are necessary, as the project is already distributed under the MIT License; it simply needs to comply with its attribution requirement.

**What would be the best solution for the alleged infringement?**

Other Change

**Describe the change.**

The best solution for the alleged infringement would be for the maintainers of https://github.com/faker-js/faker to restore [private] name, [private], to the copyright notice in the LICENSE file, located at https://github.com/faker-js/faker/blob/main/LICENSE. As the [private] and copyright holder of faker.js, [private]released the software under the MIT License, which requires that 'The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.' The current LICENSE file omits [private] name, violating this term.

The ideal resolution is to amend the copyright notice to include [private] original attribution, such as 'Copyright (c) 2011 [private],' alongside any additional contributors or entities as appropriate, ensuring that [private] authorship is properly acknowledged. This change would bring the repository into full compliance with the MIT License, resolve the infringement, and allow the project to continue operating without further action, such as a takedown. Restoring [private] attribution is a simple, effective fix that respects [private] rights as the [private] while preserving the project’s availability to the community.

**Do you have the alleged infringer’s contact information? If so, please provide it.**

I do not have direct personal contact information for the individual maintainers of the repository at https://github.com/faker-js/faker, as this is an organization-managed project on GitHub rather than an individual’s repository. However, the alleged infringer can be reached through GitHub’s standard channels for the @faker-js organization. The repository is maintained by the Faker-JS team, and their [private] is tied to the GitHub organization @faker-js. According to GitHub’s DMCA process, the maintainers can be contacted via the repository’s issue tracker at [private] or through GitHub’s support mechanisms for DMCA notices. Additionally, the project’s official website (https://fakerjs.dev) lists a community [private] and GitHub Discussions as contact options, though these are general community channels rather than direct maintainer contacts. I rely on GitHub to facilitate communication with the maintainers of https://github.com/faker-js/faker to resolve this infringement.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

I can be reached via phone at [private]

**Please type your full legal name below to sign this request.**

[private]
