Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf? If you are submitting this notice on behalf of a company, please be sure to use an email address on the company's domain. If you use a personal email address for a notice submitted on behalf of a company, we may not be able to process it.**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

[private] for copyright owner, Nintendo of America Inc.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed.**

The Nintendo Switch console and video games contain technological protection measures (“TPMs”) that permit the Nintendo Switch console to interact only with legitimate Nintendo video game files. This process protects Nintendo’s copyright-protected video games, including but not limited to those covered by U.S. Copyright Registration numbers PA0002213509 (Super Mario Maker 2); PA0002233840 (Animal Crossing: New Horizons); PA0002213908 (Luigi’s Mansion 3); and PA0002028142 (The Legend of Zelda: Breath of the Wild) by preventing users from playing pirated copies of Nintendo’s video games on the Nintendo Switch console and by preventing users from unlawfully copying and playing Nintendo’s video games on unauthorized devices.

**If the original work referenced above is available online, please provide a URL.**

The original work is not available online

**We ask that a DMCA takedown notice list every specific file in the repository that is infringing, unless the entire contents of the repository are infringing on your copyright. Please clearly state that the entire repository is infringing, OR provide the specific files within the repository you would like removed.**

**Based on the above, I confirm that:**

The entire repository is infringing

**Identify the full repository URL that is infringing:**

[invalid]  
https://github.com/Thealexbarney/LibHac.Nand

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

Nintendo embeds TPMs in both the Nintendo Switch console and video game files, including but not limited to encryption of the video game files. Certain cryptographic keys, such as prod.keys, are required to verify, access, and play each game played on the Nintendo Switch. The TPMs employ encryption as described in more detail below.  
The Nintendo Switch console allows users either to play games on physical cartridges that are inserted into the console or to play games digitally downloaded from Nintendo’s server. Both formats are protected by Nintendo’s TPMs, including encryption of its video games. When a game is started on the Nintendo Switch console the games are decrypted and verified using various Nintendo cryptographic keys so they may be played. Nintendo owns or exclusively controls numerous copyrights in software and games that are protected from unlawful access and copying by the operation of these TPMs. In their ordinary course of operation, the TPMs require the application of information and a process (as described above), with the authority of Nintendo, to gain access to Nintendo’s copyrighted works, and thus effectively control access to and copying of Nintendo’s copyrighted works.

**How is the accused project designed to circumvent your technological protection measures?**

The reported repositories offer and provide access to the LibHac program or code based on the LibHac program. The LibHac program is primarily designed to allow users to access and/or play Nintendo Switch games. Specifically, LibHac illegally circumvents Nintendo’s TPMs in order to access the contents of illegal copies of Nintendo Switch games. Nintendo Switch games are encrypted using proprietary cryptographic keys (prod.keys) which protect against unauthorized access to and copying of the copyrighted games. During operation, LibHac necessarily uses unauthorized copies of these cryptographic keys to decrypt unauthorized copies of Nintendo Switch games, or ROMs, without Nintendo’s authorization. Thus, LibHac is primarily designed to and unlawfully “circumvent[s] a technological measure that effectively controls access to a work protected under” the DMCA and distribution of LibHac constitutes unlawful trafficking in technology that is “primarily designed or produced for the purpose of circumventing a technological measure that effectively controls access” to copyrighted works. 17 U.S.C. § 1201(a)(1) and (2). See also Final Judgment & Permanent Injunction, Nintendo of America Inc. v. Tropic Haze LLC, No. 1:24-cv-00082 (D.R.I. Mar. 6, 2024), ECF No. 11 (finding that the distribution of software which primarily decrypts Nintendo Switch games without authorization violated DMCA anti-trafficking provisions).

**If you are reporting an allegedly infringing fork, please note that each fork is a distinct repository and <i>must be identified separately</i>. Please read more about <a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">forks.</a> As forks may often contain different material than in the parent repository, if you believe any of the repositories or files in the forks are infringing, please list each fork URL below:**

https://github.com/amayra/LibHac  
https://github.com/angelwingss/LibHac  
https://github.com/AsukaNK/LibHac  
https://github.com/barryhartman/LibHac  
https://github.com/chsbuffer/LibHac  
https://github.com/cmedamine/LibHac  
https://github.com/D3fau4/LibHac  
https://github.com/dmgolembiowski/caHbiL  
https://github.com/emargee/LibHac  
https://github.com/glitched-nx/LibHac  
https://github.com/iqer/LibHac  
https://github.com/jamestiotio/LibHac  
https://github.com/JubalTheLion/LibHac  
https://github.com/KrisCris/LibHac  
https://github.com/KyberHydra/LibHac  
https://github.com/Lrs121/LibHac  
https://github.com/makigumo/LibHac  
https://github.com/MonsterDruide1/LibHac  
https://github.com/parkatoast/LibHac  
https://github.com/pgalonza/ns-LibHac  
https://github.com/remutro/LibHac  
https://github.com/RVOtakuMike/LibHac  
https://github.com/Ryujinx-NX/LibHac  
https://github.com/shadowninja108/LibHac  
https://github.com/Switch-Bros/LibHac  
https://github.com/viper0179/LibHac  
https://github.com/WilliamWsyHK/LibHac  
https://github.com/Xpl0itR/LibHac  
https://github.com/AcK77/LibHac  
https://github.com/Adran-Marit/LibHac  
https://github.com/AtavisticBugbear4765/LibHac  
https://github.com/CaitSith2/libhac  
https://github.com/cualquiercosa327/LibHac  
https://github.com/ElGato823/LibHac  
https://github.com/emmauss/LibHac  
https://github.com/feyris-tan/LibHac  
https://github.com/fuzzyoctopus/LibHac  
https://github.com/George8327/LibHac  
https://github.com/Hengle/LibHac  
https://github.com/Icyelut/LibHac  
https://github.com/klear72/LibHac  
https://github.com/garoxas/LibHac  
https://github.com/shchmue/LibHac  
https://github.com/leo60228/LibHac  
https://github.com/M1CR0H4CK3R/LibHac  
https://github.com/mhvuze/LibHac  
https://github.com/noc1793/LibHac  
https://github.com/realquantumsource/LibHac  
https://github.com/roblabla/LibHac  
https://github.com/tckm1977/LibHac  
https://github.com/tr33s/LibHac  
https://github.com/TSRBerry/LibHac  
https://github.com/tsuyu-emu/LibHac  
https://github.com/klear72/LibHac.Nand  
https://github.com/xXxTheDarkprogramerxXx/LibHac.Nand  

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

No, we do not have contact information.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private]

**Please type your full name for your signature.**

[private]
