Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf? If you are submitting this notice on behalf of a company, please be sure to use an email address on the company's domain. If you use a personal email address for a notice submitted on behalf of a company, we may not be able to process it.**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

Kasada PTY LTD owns the copyright to the code.

For context: the system that leverages this code is used to secure hundreds of web and mobile applications, including some of the largest companies in the world. Collectively it protects the web activities of hundreds of millions of users worldwide, every day. Copying this proprietary material presents a significant and material risk to the security of these companies and an unauthorized use of our copyrighted material.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed.**

The original copyrighted work is part of a proprietary Virtual Machine (VM) Obfuscation system for Kasada’s javascript code. The code it is used to protect performs functions as part of a Bot Detection system that protects against malicious automation methods and its impacts which include fraudulent Account Takeover attacks and other security threats as well as malicious activities such as inventory hoarding and content scraping.

Significant parts of the code, which forms a large portion of Kasada’s intellectual property, have been taken and reverse engineered without authorization from Kasada Pty Ltd (or its Affiliates) and replicated in the provided repositories.

Kasada is the sole owner of this intellectual property and all code created or derived from it. Kasada takes great care to protect the integrity of its code base and has not authorized the use, packaging, refactoring or distribution of this code or derivatives of this code.

For context, this follows on from a previous attempt to steal and reverse Kasada's defences. Ticket ID for the previous takedown is: 3242177

**If the original work referenced above is available online, please provide a URL.**

**We ask that a DMCA takedown notice list every specific file in the repository that is infringing, unless the entire contents of the repository are infringing on your copyright. Please clearly state that the entire repository is infringing, OR provide the specific files within the repository you would like removed.**

**Based on the above, I confirm that:**

The entire repository is infringing

**Identify the full repository URL that is infringing:**

https://github.com/manudeobs/kasada-rs

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

Kasada protects this code in multiple ways such as code obfuscation, security measures including role-based access controls.

We also have robust nondisclosure agreements with staff, customers, business partners and suppliers, and IP protection clauses in our contracts.

**How is the accused project designed to circumvent your technological protection measures?**

The repository owner has taken Kasada output and reverse engineered the payload without Kasada's authorization. This part of the code is here: https://github.com/manudeobs/kasada-rs/blob/master/src/payload.rs

This part of the code solves Kasada's proof of work which is designed to protect from bad actors and fraud: https://github.com/manudeobs/kasada-rs/blob/master/src/pow.rs

**If you are reporting an allegedly infringing fork, please note that each fork is a distinct repository and <i>must be identified separately</i>. Please read more about <a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">forks.</a> As forks may often contain different material than in the parent repository, if you believe any of the repositories or files in the forks are infringing, please list each fork URL below:**

https://github.com/KCAVN/kasada-rs  
https://github.com/mhh011/kasada-rs  
https://github.com/neiii/kasada-rs  
https://github.com/PineTang/kasada-rs  
https://github.com/xiaoweigege/kasada-rs  

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private] Kasada Pty Ltd, [private]

**Please type your full name for your signature.**

[private] ([private])
