Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).
- offered to connect the owners of the affected repositories with [legal resources](https://github.blog/2020-11-16-standing-up-for-developers-youtube-dl-is-back/#developer-defense-fund) as part of our commitment to standing up for developers.

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

Note: Because some of the reported networks that contained the allegedly infringing content were larger than one hundred (100) repositories, and the submitter alleged that all or most of those forks were infringing to the same extent as the parent repositories, GitHub processed the takedown notice against the entire network of 934 repositories, inclusive of the parent repositories. 

---

Dear GitHub,

We’re writing to call your attention to, and ask your assistance with, exploits of the Digital Rights Management software Widevine that are being hosted on and distributed from repositories on your platform.  In short, the poster has written scripts to circumvent DRM on multiple streaming platforms, including Disney+, Amazon Prime, Netflix, and others.  These scripts allow users to rip (download) streams directly to their devices, and, then, distribute them on the internet.  This is as clear a violation of the DMCA’s anti-circumvention provisions as we’ve seen (17 USC 1201 et seq.), and the result is infringement of our Member Studios’ (and others’) copyrights, by unauthorized reproduction, distribution, and/or public performance.  Accordingly, we’ve alerted the owner of Widevine (Google) to this issue, and also requested GitHub remove the repositories containing the following scripts which were removed:

Netflix: [invalid]/NETFLIX-DL-6.1.0, [invalid]/Netflix-4K-Script, [invalid]/Netflix-videos-downloader  
Paramount+: [invalid]/Paramount-Plus-4k-Downloader  
Disney+: [invalid]/DISNEY-4K-SCRIPT  
Google Play: [invalid]/Gplay-4k-Downloader

Widevine is proprietary software that prevents stream ripping, and the scripts circumvented that by exploiting a vulnerability to allow stream ripping including as specifically listed as follows and as evidenced by the poster’s statements of the scripts’ purpose and operation:

DISNEY-4K-SCRIPT  
disneyplus.py is the script that calls the decryption module  
pywidevine/decrypt/wvdecrypt.py is the script used to circumvent the DRM  
pywidevine/cdm/cdm.py and pywidevine/cdm/deviceconfig.py are used to configure the device and key information needed to decrypt the content

Gplay-4k-Downloader  
movie.py is the script that calls the decryption module  
pywidevine/decrypt/wvdecrypt.py is the script used to circumvent the DRM  
pywidevine/cdm/cdm.py and pywidevine/cdm/deviceconfig.py are used to configure the device and key information needed to decrypt the content

Netflix-4K-Script  
netflix.py is the main script  
pywidevine/clients/netflix/client.py, pywidevine/clients/netflix/config.py, and pywidevine/clients/netflix/profiles.py are used to configure the device and key information needed to decrypt the content  
Note that pywidevine/clients/netflix/config.py lists 3 actual Netflix accounts with their usernames and passwords  
pywidevine/downloader/wvdownloader.py is the script that calls the decryption module  
pywidevine/decrypt/wvdecrypt.py is the script used to circumvent the DRM

NETFLIX-DL-6.1.0  
netflix.py is the main script  
services/netflix.py is the script that calls the decryption module  
pywidevine/decrypt/wvdecryptcustom.py is the script used to circumvent the DRM  
pywidevine/cdm/cdm.py and pywidevine/cdm/deviceconfig.py are used to configure the device and key information needed to decrypt the content

Netflix-videos-downloader  
NFripper.py is the main script  
services/netflix.py is the script that calls the decryption module  
pywidevine/decrypt/wvdecryptcustom.py is the script used to circumvent the DRM  
pywidevine/cdm/cdm.py and pywidevine/cdm/deviceconfig.py are used to configure the device and key information needed to decrypt the content

Paramount-Plus-4k  
paramountplus.py is the main script  
pywidevine/clients/paramountplus/config.py and pywidevine/clients/paramountplus/downloader.py are used to configure the device and key information needed to decrypt the content and circumvent the DRM

The scripts have been removed and we have also reviewed the fork network to determine those that contain the content we reported as a violation of the DMCA in the parent repository. Based on the representative number of forks listed below that I have reviewed, I believe that all or most of the forks are infringing to the same extent as the parent repository.

 **LIST OF FORK NETWORKS**

NETFLIX-DL-6.1.0: 111 forks  
Representative sample:  
https://github.com/Bl00mstar/NETFLIX-DL-6.1.0  
https://github.com/weapon121/NETFLIX-DL-6.1.0  
https://github.com/alexanteur/NETFLIX-DL-6.1.0  
https://github.com/judgeu/NETFLIX-DL-6.1.0  
https://github.com/Nabrizzy/NETFLIX-DL-6.1.0  
https://github.com/bk3a12/NETFLIX-DL-6.1.0  
https://github.com/EnthusiastAnon/NETFLIX-DL-6.1.0

Netflix-4K-Script: 294 forks  
Representative sample:  
https://github.com/blacknoize404/Netflix-4K-Script  
https://github.com/fabutrash/Netflix-4K-Script  
https://github.com/AjmalShajahan/Netflix-4K-Script  
https://github.com/weapon121/Netflix-4K-Script  
https://github.com/78Alpha/Netflix-4K-Script  
https://github.com/alexanteur/Netflix-4K-Script  
https://github.com/judgeu/Netflix-4K-Script

DISNEY-4K-SCRIPT: 176 forks  
Representative sample:  
https://github.com/tellyto/DISNEY-4K-SCRIPT  
https://github.com/Bl00mstar/DISNEY-4K-SCRIPT  
https://github.com/blacknoize404/DISNEY-4K-SCRIPT  
https://github.com/fabutrash/DISNEY-4K-SCRIPT  
https://github.com/alexanteur/DISNEY-4K-SCRIPT  
https://github.com/78Alpha/DISNEY-4K-SCRIPT  
https://github.com/judgeu/DISNEY-4K-SCRIPT

Netflix-videos-downloader: 216 forks  
The original from the [invalid] repo was not actually the original, and the [invalid] forked it from a previously existing repository, so the fork network includes forks from before the [invalid]’s activities. To make sure the older versions were equally infringing, we checked all 216 by comparing the hashes of the various files included in each repo. Although these forks include a handful of different versions of the main script and the secondary script that calls the decryption modules, the Widevine decryption scripts are identical across all forks. Some of the forks (and forks of those forks) were renamed to netflix-subtitles-downloader but they contain in fact the same code.
Representative sample:  
https://github.com/Gryffindor8/Netflix-videos-downloader  
https://github.com/ReclusiveEagle/Netflix-videos-downloader  
https://github.com/Odinsan007/Netflix-videos-downloader  
https://github.com/Sentivet/Netflix-videos-downloader  
https://github.com/tonystarkerror/Netflix-videos-downloader  
https://github.com/AdzeB/Netflix-videos-downloader  
https://github.com/Quicksilver81/Netflix-videos-downloader

Paramount-Plus-4k-Downloader: 60 forks  
I have compared all of these by comparing the hashes of the various files included in each repo. For all 60 forks, the files included in each repository fork are identical to the other forks and to the original.  
Full list of forks as of 1/5/2022:  
https://www.github.com/andry81/Paramount-Plus-4k-Downloader  
https://www.github.com/angentanewbe/Paramount-Plus-4k-Downloader  
https://www.github.com/apeeh/Paramount-Plus-4k-Downloader  
https://www.github.com/arbarbosa1979/Paramount-Plus-4k-Downloader  
https://www.github.com/Arderos/Paramount-Plus-4k-Downloader  
https://www.github.com/bk3a12/Paramount-Plus-4k-Downloader  
https://www.github.com/Bl00mstar/Paramount-Plus-4k-Downloader  
https://www.github.com/Breaking1/Paramount-Plus-4k-Downloader  
https://www.github.com/bUWU33f9FWHn1Bwsdt/Paramount-Plus-4k-Downloader  
https://www.github.com/C0deUser/Paramount-Plus-4k-Downloader  
https://www.github.com/cnpdev/Paramount-Plus-4k-Downloader  
https://www.github.com/dashrandom/Paramount-Plus-4k-Downloader  
https://www.github.com/deathnoise/Paramount-Plus-4k-Downloader  
https://www.github.com/dfslammirror/Paramount-Plus-4k-Downloader  
https://www.github.com/dmreiland/Paramount-Plus-4k-Downloader  
https://www.github.com/douglasdrumz/Paramount-Plus-4k-Downloader  
https://www.github.com/EnthusiastAnon/Paramount-Plus-4k-Downloader  
https://www.github.com/erdoukki/Paramount-Plus-4k-Downloader  
https://www.github.com/fabutrash/Paramount-Plus-4k-Downloader  
https://www.github.com/faizanmohd19911/Paramount-Plus-4k-Downloader  
https://www.github.com/fox0618/Paramount-Plus-4k-Downloader  
https://www.github.com/hermesthecat/Paramount-Plus-4k-Downloader  
https://www.github.com/hxysh/Paramount-Plus-4k-Downloader  
https://www.github.com/isgallagher/Paramount-Plus-4k-Downloader  
https://www.github.com/jlcjohns/Paramount-Plus-4k-Downloader  
https://www.github.com/joseph-cheung/Paramount-Plus-4k-Downloader  
https://www.github.com/joybiswas007/Paramount-Plus-4k-Downloader  
https://www.github.com/judgeu/Paramount-Plus-4k-Downloader  
https://www.github.com/LastWorld2021/Paramount-Plus-4k-Downloader  
https://www.github.com/lyoko98s/Paramount-Plus-4k-Downloader  
https://www.github.com/manit77/Paramount-Plus-4k-Downloader  
https://www.github.com/matbilodeau/Paramount-Plus-4k-Downloader  
https://www.github.com/Mavrick007/Paramount-Plus-4k-Downloader  
https://www.github.com/mccbala/Paramount-Plus-4k-Downloader  
https://www.github.com/mendeRK5/Paramount-Plus-4k-Downloader  
https://www.github.com/Mogured/Paramount-Plus-4k-Downloader  
https://www.github.com/mrnobody69/Paramount-Plus-4k-Downloader  
https://www.github.com/namr33b/Paramount-Plus-4k-Downloader  
https://www.github.com/nikolaevdv/Paramount-Plus-4k-Downloader  
https://www.github.com/noreentry/Paramount-Plus-4k-Downloader  
https://www.github.com/orochikun/Paramount-Plus-4k-Downloader  
https://www.github.com/ottdump/Paramount-Plus-4k-Downloader  
https://www.github.com/Persian-Prince/Paramount-Plus-4k-Downloader  
https://www.github.com/pgla99/Paramount-Plus-4k-Downloader  
https://www.github.com/ProrexV/Paramount-Plus-4k-Downloader  
https://www.github.com/retrydev/Paramount-Plus-4k-Downloader  
https://www.github.com/RyanL-29/Paramount-Plus-4k-Downloader  
https://www.github.com/SatelliteCat/Paramount-Plus-4k-Downloader  
https://www.github.com/serpro69/Paramount-Plus-4k-Downloader  
https://www.github.com/spike008t/Paramount-Plus-4k-Downloader  
https://www.github.com/spikeapt2/Paramount-Plus-4k-Downloader  
https://www.github.com/Teryon/Paramount-Plus-4k-Downloader  
https://www.github.com/thenameissasi/Paramount-Plus-4k-Downloader  
https://www.github.com/twhoeksema/Paramount-Plus-4k-Downloader  
https://www.github.com/UchihaSharingan7982/Paramount-Plus-4k-Downloader  
https://www.github.com/xaracken/Paramount-Plus-4k-Downloader  
https://www.github.com/Xen0byte/Paramount-Plus-4k-Downloader  
https://www.github.com/yuviDX/Paramount-Plus-4k-Downloader  
https://www.github.com/ze-krystof/Paramount-Plus-4k-Downloader  
https://www.github.com/Zylern/Paramount-Plus-4k-Downloader  

Gplay-4k-Downloader: 77 forks  
I have compared all of these by comparing the hashes of the various files included in each repo. For all 77 forks, the relevant files included in each repository fork are identical to the other forks and to the original. Please note the README file is different between some of them and some repositories include additional files, but none of these differences make any difference in how the scripts work (i.e., the scripts themselves and the dependencies of those scripts are identical to the original).  
Full list of forks as of 1/5/2022:  
https://www.github.com/AjmalShajahan/Gplay-4k-Downloader  
https://www.github.com/ak-jpwp/Gplay-4k-Downloader  
https://www.github.com/andrewzhong1122/Gplay-4k-Downloader  
https://www.github.com/andry81/Gplay-4k-Downloader  
https://www.github.com/angentanewbe/Gplay-4k-Downloader  
https://www.github.com/apeeh/Gplay-4k-Downloader  
https://www.github.com/arbarbosa1979/Gplay-4k-Downloader  
https://www.github.com/Arderos/Gplay-4k-Downloader  
https://www.github.com/arjun4414/Gplay-4k-Downloader  
https://www.github.com/BakaTekku/Gplay-4k-Downloader  
https://www.github.com/Bl00mstar/Gplay-4k-Downloader  
https://www.github.com/brandon495/Gplay-4k-Downloader  
https://www.github.com/Breaking1/Gplay-4k-Downloader  
https://www.github.com/bUWU33f9FWHn1Bwsdt/Gplay-4k-Downloader  
https://www.github.com/C0deUser/Gplay-4k-Downloader  
https://www.github.com/cnpdev/Gplay-4k-Downloader  
https://www.github.com/dashrandom/Gplay-4k-Downloader  
https://www.github.com/deathnoise/Gplay-4k-Downloader  
https://www.github.com/dfslammirror/Gplay-4k-Downloader  
https://www.github.com/dmreiland/Gplay-4k-Downloader  
https://www.github.com/EnthusiastAnon/Gplay-4k-Downloader  
https://www.github.com/erdoukki/Gplay-4k-Downloader  
https://www.github.com/fabutrash/Gplay-4k-Downloader  
https://www.github.com/faizanmohd19911/Gplay-4k-Downloader  
https://www.github.com/fox0618/Gplay-4k-Downloader  
https://www.github.com/hxysh/Gplay-4k-Downloader  
https://www.github.com/isgallagher/Gplay-4k-Downloader  
https://www.github.com/itsaaash/Gplay-4k-Downloader  
https://www.github.com/jlcjohns/Gplay-4k-Downloader  
https://www.github.com/joseph-cheung/Gplay-4k-Downloader  
https://www.github.com/joybiswas007/Gplay-4k-Downloader  
https://www.github.com/judgeu/Gplay-4k-Downloader  
https://www.github.com/KillaKev/Gplay-4k-Downloader  
https://www.github.com/large/Gplay-4k-Downloader  
https://www.github.com/LastWorld2021/Gplay-4k-Downloader  
https://www.github.com/leo9843/Gplay-4k-Downloader  
https://www.github.com/lionrajkumar/Gplay-4k-Downloader  
https://www.github.com/Lusephur/Gplay-4k-Downloader  
https://www.github.com/lyoko98s/Gplay-4k-Downloader  
https://www.github.com/manit77/Gplay-4k-Downloader  
https://www.github.com/matbilodeau/Gplay-4k-Downloader  
https://www.github.com/Mavrick007/Gplay-4k-Downloader  
https://www.github.com/mccbala/Gplay-4k-Downloader  
https://www.github.com/MEGZ99/Gplay-4k-Downloader  
https://www.github.com/MijiNiko06/Gplay-4k-Downloader  
https://www.github.com/mistycity/Gplay-4k-Downloader  
https://www.github.com/Mogured/Gplay-4k-Downloader  
https://www.github.com/mrnobody69/Gplay-4k-Downloader  
https://www.github.com/Nasimaktar99/Gplay-4k-Downloader  
https://www.github.com/Naysabots/Gplay-4k-Downloader  
https://www.github.com/NgaoDaCoPho/Gplay-4k-Downloader  
https://www.github.com/nickiex123/Gplay-4k-Downloader  
https://www.github.com/nikolaevdv/Gplay-4k-Downloader  
https://www.github.com/NINJA-543/Gplay-4k-Downloader  
https://www.github.com/noonebehindthis/Gplay-4k-Downloader  
https://www.github.com/orochikun/Gplay-4k-Downloader  
https://www.github.com/ottdump/Gplay-4k-Downloader  
https://www.github.com/oxosec/Gplay-4k-Downloader  
https://www.github.com/Persian-Prince/Gplay-4k-Downloader  
https://www.github.com/pgla99/Gplay-4k-Downloader  
https://www.github.com/retrydev/Gplay-4k-Downloader  
https://www.github.com/SatelliteCat/Gplay-4k-Downloader  
https://www.github.com/serpro69/Gplay-4k-Downloader  
https://www.github.com/spike008t/Gplay-4k-Downloader  
https://www.github.com/spikeapt2/Gplay-4k-Downloader  
https://www.github.com/SteveXron/Gplay-4k-Downloader  
https://www.github.com/teakoder/Gplay-4k-Downloader  
https://www.github.com/TenSai27/Gplay-4k-Downloader  
https://www.github.com/twhoeksema/Gplay-4k-Downloader  
https://www.github.com/UchihaSharingan7982/Gplay-4k-Downloader  
https://www.github.com/weapon121/Gplay-4k-Downloader  
https://www.github.com/xaracken/Gplay-4k-Downloader  
https://www.github.com/Xen0byte/Gplay-4k-Downloader  
https://www.github.com/yugm888om/Gplay-4k-Downloader  
https://www.github.com/yuviDX/Gplay-4k-Downloader  
https://www.github.com/ze-krystof/Gplay-4k-Downloader  
https://www.github.com/Zylern/Gplay-4k-Downloader  

We are providing this notice based on our good faith belief that the use of motion pictures and television programs owned by the MPA Member Studios in the manner occurring via the repositories and fork networks is not authorized by the copyright owners, their agents, or the law.  The information in this notification is accurate and, under penalty of perjury, we are authorized to act on behalf of the MPA Member Studios, which own or control exclusive rights under copyright that are being infringed in the manner described herein.  This letter is without prejudice to the rights and remedies of the MPA Member Studios and their affiliates, all of which are expressly reserved. 

If you have any questions, please contact me by telephone at [private], or via email at [private].

 

Regards,

 

[private]

[private]
