Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

While GitHub did not find sufficient information to determine a valid anti-circumvention claim, we determined that this takedown notice contains other valid copyright claim(s).

---

Note: Because the reported network that contained the allegedly infringing content was larger than one hundred (100) repositories, and the submitter alleged that all or most of the forks were infringing to the same extent as the parent repository, GitHub processed the takedown notice against the entire network of 364 repositories, inclusive of the parent repository. 

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

I am an enforcement agent working on behalf of Mojang AB.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

Description of Original Work:  
Minecraft is a global phenomenon with a significant and loyal fan base and community. In order to protect the integrity of Minecraft and the vitality of the Minecraft community, Mojang owns and enforces all intellectual property rights in and to Minecraft, including internationally-registered trademarks and copyrights in the game, game characters, and related consumer products based on the same. Mojang’s trademark rights include but are not limited to common law and federally-registered rights in the MINECRAFT mark (U.S. Reg. No. 4,252,394). In addition, Mojang owns registered and unregistered copyrights in connection with Minecraft, including but not limited to U.S. Copyright Reg. Nos. VA 1-885-980, VA 1-885-976, VA 1-886-104, VA 1-885-991, VA 1-885-988, VA 1-886-003, VA 1-886-007, VA 1-885-995, VA 1-886-008, VA 1-885-983, VA 1-885-978, VA 1-885-999, VA 1-886-006, VA 1-886-005 and VA 1-885-990 for artwork and character designs featured in the game (Mojang’s intellectual property rights are collectively referred to as the “Minecraft IP”). Mojang takes its intellectual property rights seriously and enforces them vigorously.

Mojang is keen to ensure that its community is treated fairly and safely, and that players and fans of Minecraft are not exploited. Mojang has therefore implemented the Minecraft EULA (https://www.minecraft.net/en-us/eula), which governs the use of Minecraft. The EULA prohibits, among other things, “giv[ing] copies of [Minecraft] to anyone else,” “mak[ing] commercial use of anything [Mojang] made,” and “try[ing] to make money from anything [Mojang] made.”

Description of Infringing Content:  
Mojang is aware that there is a clone of Minecraft known as EaglerCraft which is a clone/rewrite of Minecraft the game. EaglerCraft is built on the same mechanics, use of textures, and other game systems and UX as Minecraft. EaglerCraft allows the connection to servers and does not align to the authentication schema of the authentic Minecraft game. Exact source code or pixel perfect images do not need to be in the repo to constitute copyright infringement. The development and distribution of this product infringes Mojang’s intellectual property rights and violates the Minecraft EULA. EaglerCraft also infringes Mojang’s Minecraft copyrights by using Minecraft character designs and artwork to advertise these services.

The original Minecraft can be located at http://minecraft.net.

Please note: Based on the representative number of forks I have reviewed, I believe that all or most of the forks are infringing to the same extent as the parent.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

https://github.com/PrecisionClient/eaglercraft

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

We use Azure Active Directory sign in with license checks to prevent unauthorized access to our application (Minecraft). We also use industry best practices such as compiled code and encrypted sub-components to prevent unauthorized or inappropriate access to our application.

**How is the accused project designed to circumvent your technological protection measures?**

This user has presumably decompiled and reverse engineered portions of our code to find how to recreate the game. They have leveraged several historical versions of the game as well as other common libraries which are all laid out in the credits documentation.

Their code goes against our EULA and Terms of Use by disabling and allowing unauthenticated connections to servers as well as redistribution the client for local game play.

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

 @0139441 0139441 / eaglercraft  
@0ceanManmn 0ceanManmn / eaglercraft  
@0deez 0deez / eaglercraft  
@112cxyz 112cxyz / 112ccraft  
@123456789rty 123456789rty / eaglercraft  
@22treclub 22treclub / eaglercraft  
@Aaron-Wang-123 Aaron-Wang-123 / eaglercraft  
@aaronthebaron77 aaronthebaron77 / eaglercraft  
@ABirdCoder ABirdCoder / eaglercraft  
@AceJHamilton AceJHamilton / eaglercraft  
@AJYaBoi AJYaBoi / eaglercraft  
@akhil-kanuri akhil-kanuri / eaglercraft  
@Akra0 Akra0 / eaglercraft  
@AlexV3112 AlexV3112 / eaglercraft  
@alolan8278 alolan8278 / eaglercraft-1  
@alphatct3209 alphatct3209 / Precision-Client  
@Aluminum5 Aluminum5 / eaglercraft-1  
@amonguslime amonguslime / eaglercraft  
@amukh1 amukh1 / eaglercraft  
@Android-8-Oreo Android-8-Oreo / fordaschool  
@AndroMaster436 AndroMaster436 / eaglercraft  
@anon1014 anon1014 / eaglercraft  
@antbus antbus / eaglercraft  
@Aperson2131 Aperson2131 / eaglercraft  
@ApexdaGamer ApexdaGamer / eaglercraft  
@apple-two apple-two / eaglercraft  
@ArcherElite2001 ArcherElite2001 / eaglercraft  
@Arizonaisthebest Arizonaisthebest / eaglercraft  
@Ash7783 Ash7783 / eaglercraft  
@asherlr23 asherlr23 / eaglercraft  
@astralspirits0827 astralspirits0827 / eaglercraft-1  
@ATestTeam ATestTeam / eaglercraft-1  
@azf3 azf3 / eaglercraft  
@Azure362 Azure362 / eaglercraft  
@B-a-t-t-Z B-a-t-t-Z / eaglercraft  
@B3anie B3anie / eaglercraft  
@Baddev123456789 Baddev123456789 / eaglercraft-1  
@BamBoozledMC BamBoozledMC / eaglercraft  
@BananaBeast9910 BananaBeast9910 / eaglercraft  
@BEAR2222222 BEAR2222222 / eaglercraft  
@BenThaPro BenThaPro / eaglercraft  
@betterclient betterclient / eaglercraft  
@BigMike-BM BigMike-BM / eaglercraft  
@bigpiggy231 bigpiggy231 / eaglercraft  
@blazemonkee7 blazemonkee7 / eaglercraft  
@BlazeY2504 BlazeY2504 / eaglercraftlast  
@BlindGalaxy4817 BlindGalaxy4817 / eaglercraft  
@blong344 blong344 / eaglercraft  
@Bluified Bluified / eaglercraft  
@Blukezz Blukezz / eaglercraft  
@boatu boatu / eaglercraft  
@boloped boloped / eaglercraft  
@BoneClub BoneClub / eaglerdoku  
@boredstudent13255 boredstudent13255 / eaglercraftnoeditcopy  
@Bossman14567895 Bossman14567895 / eaglercraft  
@Bruhyeets Bruhyeets / eaglercraft-12  
@BSplayer-807 BSplayer-807 / eaglercraft  
@captainoreo captainoreo / eaglercraft-server  
@CarsonD-github CarsonD-github / eaglercraft-1.5.2  
@chan-da-man chan-da-man / eaglercraft  
@CheatMaker CheatMaker / eaglercraft  
@Clumsy0420 Clumsy0420 / eaglercraft  
@conc1erge conc1erge / eaglercraft-preservation  
@coolestDude19 coolestDude19 / eagle  
@CreatorOfMoons CreatorOfMoons / eaglercraft-1  
@ctutts14 ctutts14 / minecraft4school  
@CuteNyami CuteNyami / eaglercraft  
@D4rkra1X D4rkra1X / EaglerCraftClient  
@DaBoiCJ6241 DaBoiCJ6241 / cjscraft  
@DamieFC DamieFC / eaglercraft  
@danielpro-rpi danielpro-rpi / nothing-of-ur-business  
@daplayer21 daplayer21 / eaglercraft  
@dbbbbbbbbb dbbbbbbbbb / eaglercraft  
@ddaemonn ddaemonn / eaglercraft  
@Deadonic Deadonic / Eclipse  
@decky12582-github decky12582-github / eaglercraft-decky12582  
@declamazing declamazing / eaglercraft  
@despiscable-gru despiscable-gru / eaglercraft  
@desplmfao desplmfao / eaglercraft-pc  
@Destroyer412415 Destroyer412415 / eaglercraft  
@Dewey1236 Dewey1236 / eaglercraft  
@DillPickel1234 DillPickel1234 / JonieCraft  
@DIRECTSO-GIT DIRECTSO-GIT / Skyline  
@dk4546 dk4546 / googledrivecrft.github.io  
@dominickhollan dominickhollan / eaglercraft-1  
@Doscoorn Doscoorn / MathOne  
@DOWGARDEN2 DOWGARDEN2 / thecraft  
@DrChic0 DrChic0 / eaglercraft-fork-  
@Ds1399 Ds1399 / eaglercraft  
@Dudemanfo1Educate Dudemanfo1Educate / My-eaglercraft-fork  
@dustinisverycool dustinisverycool / eaglercraft  
@ea2009 ea2009 / elias_eaglercraft  
@ebesk ebesk / eaglercraft  
@ebkeugene2 ebkeugene2 / eaglercraft-1  
@EBro1055 EBro1055 / eaglercraft  
@ECArchive ECArchive / EC-1.5.2  
@Edward358-AI Edward358-AI / eaglercraft-1  
@egffvdbghfbh egffvdbghfbh / eaglercraft  
@eggman41 eggman41 / eaglercraft  
@ELEmentogaming76 ELEmentogaming76 / eaglercraft1  
@elias026 elias026 / eaglercraft-1  
@EnderActually EnderActually / eaglercraft  
@enderdragondan enderdragondan / eaglercraft  
@ethabcntm ethabcntm / eaglercraftethan  
@Evachado Evachado / eaglercraft  
@Exqlb1 Exqlb1 / eaglercraft  
@F6347 F6347 / eaglercraft  
@Fantahere2much Fantahere2much / eaglercraft  
@FelbYouTube FelbYouTube / eaglercraft  
@FFierce FFierce / eaglercraftp  
@fishster fishster / eaglercraft  
@FlicksXpiredYT FlicksXpiredYT / eaglercraft  
@FlyingFish9288 FlyingFish9288 / eaglercraft  
@FlyingTyper FlyingTyper / eaglercraft  
@Friendlyscout1 Friendlyscout1 / eaglercraft  
@Froggo8311 Froggo8311 / eaglercraft  
@funnyboy222 funnyboy222 / sssssssss  
@funtimeboi100 funtimeboi100 / eaglercraft  
@gageisgarbage gageisgarbage / eaglercraft  
@genericguy01 genericguy01 / eaglercraftgenerichub  
@germanSEA germanSEA / eaglercraft  
@GetAimbot3dXD GetAimbot3dXD / eaglercraft  
@GiantShaq GiantShaq / eaglercraft  
@Gitter499 Gitter499 / eaglercraft  
@grandpa1946 grandpa1946 / eaglercraft  
@Graythecatlover Graythecatlover / eaglercraft  
@GredGlenson1221 GredGlenson1221 / eaglercraft  
@HamzaTGP HamzaTGP / eaglercraft  
@HappyArno HappyArno / eaglercraft  
@hart22 hart22 / eaglercraft  
@heladeradragon heladeradragon / eaglercraft  
@hemensbj hemensbj / eaglercraft  
@hewo-dere hewo-dere / eaglercraft  
@heyimtate heyimtate / eaglercraft  
@Hybird786 Hybird786 / eaglercraft  
@ibababooey ibababooey / mc-backup  
@IcyManElosi IcyManElosi / eaglercraft  
@IcyonGit IcyonGit / eaglercraft  
@ifiuaoisf ifiuaoisf / eaglercraft  
@ijustwantminecraft ijustwantminecraft / eaglercraft  
@Ilikegithubalott Ilikegithubalott / eaglercraft  
@inposs2 inposs2 / eaglercraft  
@IOLW IOLW / eaglercraft  
@ItsameLouigi ItsameLouigi / eaglercraft  
@ItsCaca2001GH ItsCaca2001GH / eaglercraft  
@Jac0b90 Jac0b90 / eaglercraft  
@Jamal80521 Jamal80521 / eaglercraft  
@Jamsxas Jamsxas / godcomplexe  
@Jayasuriya123 Jayasuriya123 / eaglercraft  
@jbone392 jbone392 / eaglercraft  
@Jchia29 Jchia29 / eaglercraft  
@JessePinkman27 JessePinkman27 / eaglercraft  
@girrafeboy21 girrafeboy21 / eaglercraft-1  
@jman1593 jman1593 / eaglercraft  
@JMcrafter26 JMcrafter26 / eaglercraft-1  
@JohnB17 JohnB17 / eaglercraft  
@johnny999999 johnny999999 / minecraft  
@Josephsoulia Josephsoulia / eaglercraft  
@joshkim8002 joshkim8002 / eaglercraft  
@JovannMC JovannMC / eaglercraft  
@jqms jqms / eaglercraft  
@justiswalker2 justiswalker2 / eaglercraft  
@KAFLOP12 KAFLOP12 / poopoo  
@kdzapp kdzapp / eaglercraft  
@kedoboxx kedoboxx / eaglercraft  
@kennethm0 kennethm0 / eaglercraft  
@klthemathnerd8 klthemathnerd8 / eaglercraft  
@KnightryryV2 KnightryryV2 / eaglercraft  
@koqps koqps / eaglercraft  
@koyuawsmbrtn koyuawsmbrtn / eaglercraft  
@l3ViaThAn09 l3ViaThAn09 / eaglercraft-1-copy  
@lberrylol lberrylol / mc  
@Lightning-Dude Lightning-Dude / eaglercraft  
@lilwilllll lilwilllll / eaglercraft  
@LordBYT LordBYT / eaglercraft-1  
@Louie11245 Louie11245 / eaglercraft  
@lucaswyd lucaswyd / PrecisionClient  
@LukeSWM LukeSWM / eaglercraftSWMS  
@lukyplex lukyplex / eaglercraft  
@luxidcxz luxidcxz / eaglercraft  
@lwd-temp lwd-temp / eaglercraft-1  
@M1TFs M1TFs / eaglercraft  
@mackhackz mackhackz / eaglercraft  
@manshroom2 manshroom2 / eaglercraftX  
@MasterMindCrafter MasterMindCrafter / eaglercraft-1.5.2  
@MasterMinecrafter MasterMinecrafter / eaglercraft-1  
@McInellyHs McInellyHs / eaglercraft  
@mcking21212 mcking21212 / eaglercraft  
@memFIG memFIG / eaglercraft  
@mexisofunny mexisofunny / eaglercraft  
@MintParty493932 MintParty493932 / eaglercraft  
@MisterPerson42 MisterPerson42 / eaglrecraft  
@MisticGG MisticGG / eaglercraft  
@mmarchjr mmarchjr / eaglercraft  
@mmnbvcxzlkjhgfd mmnbvcxzlkjhgfd / eaglercraft  
@MopNop MopNop / eaglercraft  
@mrasdaf mrasdaf / eaglercraft  
@MrMiget MrMiget / eaglercraft  
@mudlm mudlm / eaglercraft  
@Mushroomsoupz Mushroomsoupz / eaglercraft  
@MysteriousForSomeReason MysteriousForSomeReason / foroliver  
@Nat3z Nat3z / eaglercraft  
@NateBoii NateBoii / eaglercraft  
@NathanGratner NathanGratner / eaglercraft  
@NedzforrSpedzz NedzforrSpedzz / eaglercraft  
@nightmare0090 nightmare0090 / eaglercraft  
@nolanm69 nolanm69 / eaglercraft  
@NoobChester NoobChester / eaglercraft  
@Noobiestplayz Noobiestplayz / eaglercraft  
@noulalu noulalu / eaglercraft  
@noxoreits noxoreits / eaglercraft  
@OcelotDiamond OcelotDiamond / eaglercraft  
@odkjowqjeifo odkjowqjeifo / eaglercraft  
@ohheygfx ohheygfx / eaglercraft-1  
@Oneline100 Oneline100 / eaglercraft  
@OnlineZero OnlineZero / eaglercraft  
@ItzMeRainbow ItzMeRainbow / Eaglercraft  
@op-max op-max / eaglercraft  
@orangecatman-og orangecatman-og / eaglercraft  
@org-i-made-to-make-this-one-change org-i-made-to-make-this-one-change / eaglercraft  
@pailsarec00l pailsarec00l / eaglercraftfinalversion  
@Patruder547 Patruder547 / eaglercraft-1  
@peabrain2 peabrain2 / eaglercraft  
@Pinappleant Pinappleant / eaglercraft  
@Pinnns5 Pinnns5 / eaglercraft  
@plsacceptname plsacceptname / eaglercraft  
@plzmyschoolmighttakethisdown plzmyschoolmighttakethisdown / eaglercraft  
@Pog-sys-ux Pog-sys-ux / eaglercraft  
@portasux portasux / eaglercraft  
@ProjectEther ProjectEther / eaglercraft  
@PRXYBOSS101 PRXYBOSS101 / eaglercraft  
@quanutm-computer quanutm-computer / eaglercraft  
@random1086 random1086 / eaglercraft  
@RavyarTheBest RavyarTheBest / eaglercraft  
@reddishman reddishman / eaglercraft  
@rhysisthebestboi rhysisthebestboi / eaglercraft  
@Rice119 Rice119 / eaglercraft  
@ro2alive ro2alive / eaglercraft  
@robotbirdfan robotbirdfan / eaglercraft-thing  
@Roger828 Roger828 / eaglercraft  
@rohanmishr rohanmishr / eaglercraft-backup  
@rshah013 rshah013 / eaglercraft  
@ryanjetplane1 ryanjetplane1 / eaglercraft  
@SadPearStudios SadPearStudios / eaglercraft-server  
@SakthiPlaysRoblox42 SakthiPlaysRoblox42 / eaglercraft  
@ScarsatoAndrea ScarsatoAndrea / eaglercraft  
@Seabass8969 Seabass8969 / eaglercraft  
@Sean-Stewart Sean-Stewart / eaglercraft  
@seanxy3000 seanxy3000 / eaglercraft  
@searxzyydev searxzyydev / eaglercraft  
@Serkizzy Serkizzy / eaglercraft  
@serrcoss serrcoss / eaglercraft-1  
@Shappire5335 Shappire5335 / eaglercraft  
@sheeshdagamer sheeshdagamer / eaglercraft-1  
@Siddaboss Siddaboss / MineBoi  
@Skelitin-JS Skelitin-JS / eaglercraft-1  
@skysplatwoomy skysplatwoomy / eaglercraft  
@Snakeybeanboi Snakeybeanboi / eaglercraft-1  
@SomeNiceTables SomeNiceTables / eaglercraft  
@Sonicexecooler Sonicexecooler / eaglercraft  
@spartanoah spartanoah / eaglercraft  
@spderman3333 spderman3333 / eaglercraft  
@SplatzyXD SplatzyXD / eaglercraft  
@spongedeepALT spongedeepALT / eaglercraft  
@Ssgoo203 Ssgoo203 / eaglercraft  
@staticallyamazing staticallyamazing / craftbase  
@SummitGaming99 SummitGaming99 / pcleint  
@Sunshine-the-eevee Sunshine-the-eevee / eaglercraft  
@supercowbaby supercowbaby / eaglercraft  
@sussybaka5y5 sussybaka5y5 / eaglercraft  
@swagmaster69696969 swagmaster69696969 / eaglercraft  
@Sweaty-Coder Sweaty-Coder / eaglercraft  
@SzymonDevs SzymonDevs / eaglercraft  
@tbrbt tbrbt / eaglercraft  
@TechKidJr TechKidJr / eaglercraft  
@techpro-services techpro-services / unkn  
@Tevtongermany Tevtongermany / eaglercraft  
@tgs-tgm tgs-tgm / minecraft  
@TheCatIsThere TheCatIsThere / eaglercraft-1  
@theheckerguy theheckerguy / eaglercraft  
@theyenvyme1 theyenvyme1 / eaglercraft  
@Thunderstaff1129 Thunderstaff1129 / Math-help  
@ToastedCheeseYT ToastedCheeseYT / eaglercraft  
@Toeknee96 Toeknee96 / eaglercraft  
@tortaslol tortaslol / eaglercraft-FORKED-  
@toy1000 toy1000 / apocalypse  
@Trecus Trecus / eagcraft-packs  
@TreeBronch TreeBronch / eaglercraft  
@TriFieldseven TriFieldseven / NivProSMP-EaglerCraft  
@truubo truubo / eaglercraft  
@TsunamiWind TsunamiWind / eaglercraft  
@Turniphead1 Turniphead1 / eaglercraft  
@turtletown73 turtletown73 / eaglercraft  
@twastinfg twastinfg / eaglercraft-1  
@ultimatechadguy ultimatechadguy / eaglercraft  
@UltraCoder12 UltraCoder12 / eaglercraft-1.0  
@Uncle-Sal Uncle-Sal / eaglercraft-2  
@undefinedpenguin undefinedpenguin / eaglercraft  
@User-1710 User-1710 / eaglercraft  
@user242678968 user242678968 / eaglercraft  
@UValpine UValpine / pipicacaland  
@verazity verazity / eaglercraft  
@videoconsole videoconsole / eaglercraft-thin  
@Vihaan7207 Vihaan7207 / eaglercraft  
@Viper248 Viper248 / eaglercraft  
@Vossie316 Vossie316 / eaglercraft  
@willbioyes willbioyes / eaglercraft  
@WINRARisyou WINRARisyou / eaglercraft  
@wutadam wutadam / eaglercraft  
@YPANP YPANP / mc  
@zackarysvr123456789 zackarysvr123456789 / eaglercraft  
@zemmur zemmur / eaglercraft  
@Zenvinity Zenvinity / eaglercraft  
@ZestiiSpaghett ZestiiSpaghett / eaglercraft  
@zSnakebyte zSnakebyte / eaglercraft-relay  

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

https://github.com/PrecisionClient on GitHub is the primary account behind the project.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private]  
[private]

Email is the best: [private]

**Please type your full legal name below to sign this request.**

[private]
