Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

While GitHub did not find sufficient information to determine a valid anti-circumvention claim, we determined that this takedown notice contains other valid copyright claim(s).

---

Note: Because the reported network that contained the allegedly infringing content was larger than one hundred (100) repositories, and the submitter alleged that all or most of the forks were infringing to the same extent as the parent repository, GitHub processed the takedown notice against the entire network of 495 repositories, inclusive of the parent repository. 

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

I am an enforcement agent working on behalf of Mojang AB.

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

Description of Original Work:  
Minecraft is a global phenomenon with a significant and loyal fan base and community. In order to protect the integrity of Minecraft and the vitality of the Minecraft community, Mojang owns and enforces all intellectual property rights in and to Minecraft, including internationally-registered trademarks and copyrights in the game, game characters, and related consumer products based on the same. Mojang’s trademark rights include but are not limited to common law and federally-registered rights in the MINECRAFT mark (U.S. Reg. No. 4,252,394). In addition, Mojang owns registered and unregistered copyrights in connection with Minecraft, including but not limited to U.S. Copyright Reg. Nos. VA 1-885-980, VA 1-885-976, VA 1-886-104, VA 1-885-991, VA 1-885-988, VA 1-886-003, VA 1-886-007, VA 1-885-995, VA 1-886-008, VA 1-885-983, VA 1-885-978, VA 1-885-999, VA 1-886-006, VA 1-886-005 and VA 1-885-990 for artwork and character designs featured in the game (Mojang’s intellectual property rights are collectively referred to as the “Minecraft IP”). Mojang takes its intellectual property rights seriously and enforces them vigorously.

Mojang is keen to ensure that its community is treated fairly and safely, and that players and fans of Minecraft are not exploited. Mojang has therefore implemented the Minecraft EULA (https://www.minecraft.net/en-us/eula), which governs the use of Minecraft. The EULA prohibits, among other things, “giv[ing] copies of [Minecraft] to anyone else,” “mak[ing] commercial use of anything [Mojang] made,” and “try[ing] to make money from anything [Mojang] made.”

Description of Infringing Content:  
Mojang is aware that there is a clone of Minecraft known as EaglerCraft which is a clone/rewrite of Minecraft the game. EaglerCraft is built on the same mechanics, use of textures, and other game systems and UX as Minecraft. EaglerCraft allows the connection to servers and does not align to the authentication schema of the authentic Minecraft game. Exact source code or pixel perfect images do not need to be in the repo to constitute copyright infringement. The development and distribution of this product infringes Mojang’s intellectual property rights and violates the Minecraft EULA. EaglerCraft also infringes Mojang’s Minecraft copyrights by using Minecraft character designs and artwork to advertise these services.

The original Minecraft can be located at http://minecraft.net.

Please note: Based on the representative number of forks I have reviewed, I believe that all or most of the forks are infringing to the same extent as the parent.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

[invalid]

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

We use Azure Active Directory sign in with license checks to prevent unauthorized access to our application (Minecraft). We also use industry best practices such as compiled code and encrypted sub-components to prevent unauthorized or inappropriate access to our application.

**How is the accused project designed to circumvent your technological protection measures?**

This user has presumably decompiled and reverse engineered portions of our code to find how to recreate the game. They have leveraged several historical versions of the game as well as other common libraries which are all laid out in the credits documentation.

Their code goes against our EULA and Terms of Use by disabling and allowing unauthenticated connections to servers as well as redistribution the client for local game play.

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

 @00au 00au / kia  
 @0nlytalk 0nlytalk / eaglercraftx-1.8  
 @12315123871283 12315123871283 / eaglercraftx-1.8  
 @123dave123 123dave123 / eaglercraftx-1.8  
 @1mfri3ndless 1mfri3ndless / testserver  
 @28ata 28ata / sumsybaka  
 @29KBrian 29KBrian / eaglercraftx-1.8  
 @2Unknown4Sonic 2Unknown4Sonic / eaglercraftx-1.8  
 @3kh0 3kh0 / eaglercraftx-1.8  
  @billybobisverycool billybobisverycool / eaglercraftx-1.8  
  @Commandragon Commandragon / eaglercraftx-1.8  
  @JumpedSlic3 JumpedSlic3 / eaglercraftx-1.8  
  @playstation452 playstation452 / eaglercraftx-1.8  
  @thebestgamer123 thebestgamer123 / eaglercraftx-1.8  
 @837yregfbdnwe12j3uyrgfden 837yregfbdnwe12j3uyrgfden / eaglercraftx-1.8  
 @928CAPALOT 928CAPALOT / eaglercraftx-1.8  
 @A-Random-Person-on-Github A-Random-Person-on-Github / eaglercraftx-1.8-website-maker  
 @aaravzer aaravzer / eaglercraftx-1.8  
 @AasGlitch AasGlitch / eaglercraftx-1.8  
 @abdrxrxa1357 abdrxrxa1357 / Eagler-Fork-Siuuu  
 @acorb1 acorb1 / eaglercraftx-1.8  
 @Agame28 Agame28 / eaglercraftx-1.8  
 @aidenw6043 aidenw6043 / eaglercraftx-1.8  
 @aidisdndss aidisdndss / eaglercraftx-1.8  
 @andylovesconnor andylovesconnor / eaglercraftx-1.8  
 @Angulorecto Angulorecto / eaglercraft  
 @Anonymous128419 Anonymous128419 / eaglercraftx-1.8  
 @antium2000 antium2000 / eaglercraftx-1.8  
 @arivvid27 arivvid27 / eaglercraftx-1.8  
 @ashwagg ashwagg / bedwars  
 @AspectFX AspectFX / EaglerCraft-1.8-Source-And-Patch-Files  
 @astroclientofficial astroclientofficial / eaglercraftx-1.8  
 @AstroCoreGithub AstroCoreGithub / eaglercraftx-1.8  
 @Atticuss320 Atticuss320 / eaglercraftx-1.8  
 @AUSERNAME911 AUSERNAME911 / the-coolist-eaglecraft  
 @AWSOMEDUDE123 AWSOMEDUDE123 / eaglercraftx-1.8  
 @axmr axmr / eaglercraftx-1.8  
 @axolotlboxer123 axolotlboxer123 / eaglercraftx-1.8  
 @Azure362 Azure362 / eaglercraftx-1.8  
 @BananaBeast9910 BananaBeast9910 / eaglercraftx-1.8  
 @BapiEdu BapiEdu / eaglercraftx-1.8  
 @BeanMAN312 BeanMAN312 / eaglercraftx-1.8  
 @Bendy10world Bendy10world / eaglercraftx-1.8  
 @benjiyes12 benjiyes12 / my-eaglecraft-fork  
 @bgurnee43 bgurnee43 / eaglercraftx-1.8  
 @BIGJ42 BIGJ42 / eaglercraftx-1.8  
 @Bill4Cypher Bill4Cypher / manhunt  
 @billybop1 billybop1 / eaglercraftx-1.8  
 @Blakeybomb Blakeybomb / eaglercraftx-1.8  
 @BlindKronos BlindKronos / eaglercraftx-1.8  
 @Blobirb Blobirb / 18  
 @BloodedTyrone BloodedTyrone / eaglercraftx-1.8  
 @blue9192 blue9192 / eaglercraftx-1.8  
 @bobboberman bobboberman / eaglercraftx-1.8  
 @Branistan Branistan / eaglercraftx-1.8  
 @BreadArmy BreadArmy / eaglercraftx-1.8-Fullbright  
 @brian-kko brian-kko / eaglercraftx-1.8  
 @bruhbruhbruh14345 bruhbruhbruh14345 / myclientforeaglercraft1.8  
 @bruhsussy bruhsussy / bruhsussyeagler  
 @bryson1dude bryson1dude / eaglercraft  
 @Bugjararizona Bugjararizona / eaglercraftx-1.8  
 @camilxs camilxs / my-eaglecraft-fork  
 @carricktoupe carricktoupe / eaglercraftx-1.8  
 @CARVEROS CARVEROS / eaglercraftx-1.8  
 @CG-Adum CG-Adum / eaglercraftx-1.8  
 @ChestlerMC ChestlerMC / Ari-made-this-so-have-fun  
 @chippyhawk chippyhawk / eggx1.8  
 @chunkywolfYT chunkywolfYT / eaglercraftx-1.8  
 @clubfuhfake clubfuhfake / eaglercraft  
 @CommanderGL CommanderGL / eaglercraftx  
 @connortillison6483 connortillison6483 / eaglercraftx-1.8  
 @CosmicStar98 CosmicStar98 / eaglercraftx-1.8  
 @CragslyWasTakenAgain CragslyWasTakenAgain / eaglercraftx-1.8  
 @creamnuts1 creamnuts1 / eaglercraftx-1.8  
 @creepydudejude creepydudejude / eaglercraftx-1.8  
 @CrobyCheese CrobyCheese / eaglercraftx-1.8-FORREVER  
 @CroxySolos CroxySolos / eaglercraftx-1.8  
 @cubeman329 cubeman329 / eaglercraftx-1.8  
 @CuCuElijah CuCuElijah / eaglercraftx-1.8  
 @Custom94091 Custom94091 / eaglercraftx-1.8  
 @D4rkra1X D4rkra1X / eaglercraftx-1.8  
 @dabi001 dabi001 / eaglercraftx-1.8  
 @danielpro-rpi danielpro-rpi / eagl-none-of-ur-business  
 @Dataminer729 Dataminer729 / eaglercraftx-1.8  
 @DatBoyMax DatBoyMax / eaglercraftx-1.8  
 @David1467378 David1467378 / eaglercraftx-1.8-fork-  
 @DavidCasanov DavidCasanov / eaglercraftx-1.8  
 @Davinwells Davinwells / rahrahgotshot  
 @Deathboymaster Deathboymaster / 1.8Test  
 @DEMONKINGGGSS DEMONKINGGGSS / DEMON-CLIENT  
 @denismartinezz denismartinezz / eaglercraftx-1.8  
 @Desmond0703 Desmond0703 / eaglercraftx-1.8  
 @desplmfao desplmfao / eaglercraftx-1.8  
 @Destroyer412415 Destroyer412415 / eaglercraftx-1.8  
 @Dexploiter Dexploiter / anarchy  
 @dk4546 dk4546 / eaglercraftx-1.8  
 @dmk1282 dmk1282 / bbbben  
 @Domino1234B Domino1234B / Botania-OFFICIAL-SERVER-  
 @DompuZz DompuZz / eaglercraftx-1.8  
 @DreamOneX DreamOneX / eaglercraftx-1.8  
 @Drewman01 Drewman01 / eaglercraftx-1.8  
 @dUbadamsonismyuser dUbadamsonismyuser / eaglercraftx-1.8  
 @dustinisverycool dustinisverycool / eaglercraftx-1.8  
 @DylenGaming DylenGaming / eaglercraftx-1.8  
 @eaglerrcrafthacker eaglerrcrafthacker / eagler-hax  
 @EatMyBread EatMyBread / eaglercraftx-1.8  
 @ede4321 ede4321 / eaglercraftx-1.8  
 @ElectroFlameOfficial ElectroFlameOfficial / eaglercraftx-1.8  
 @ELEmentogaming76 ELEmentogaming76 / eaglercraftx-1.8  
 @EliMendez19 EliMendez19 / eaglercraftx-1.8  
 @EminentEel98 EminentEel98 / eaglercraftx-1.8  
 @emmani1 emmani1 / emmani1.github.io  
 @EmphaticFir25 EmphaticFir25 / eaglercraftx-1.8  
 @Enchanted-Apple-SC-09 Enchanted-Apple-SC-09 / eaglercraftx-1.8  
 @Enwpnevels Enwpnevels / eaglercraftx-1.8  
 @Epicalexgamer9 Epicalexgamer9 / Terracraftx-1.8  
 @EPICCCCCC EPICCCCCC / eaglercraftx-1.8  
 @Evieatschool100 Evieatschool100 / THEEVIESMP  
 @evilcreeper evilcreeper / eaglercraft  
 @Fantahere2much Fantahere2much / eaglercraftx-1.8  
 @FarnW FarnW / eaglercraftx-1.8  
 @FatalEagler FatalEagler / eaglercraftx-1.8  
 @fatalerror652 fatalerror652 / eaglercraftx-1.8  
 @FatherNotfound FatherNotfound / FakeCraft  
 @FaZeTFoOd FaZeTFoOd / eaglercraftx-1.8  
 @Fe4rJ Fe4rJ / eaglercraftx-1.8  
 @fiufudawrxdv fiufudawrxdv / Schoolwork  
 @FlyingFish9288 FlyingFish9288 / eaglercraftx-1.8  
 @fmsans fmsans / eaglercraftx-1.8  
 @fmsplay fmsplay / minecraftfms  
 @Forkera Forkera / eaglercraftx-1.8  
 @Frostyz23 Frostyz23 / eaglercraftx-1.8  
 @fucker0012345678 fucker0012345678 / eaglercraftx-1.8  
 @fudge21 fudge21 / eaglercraftx-1.8  
 @funnytest11 funnytest11 / funnycraft  
 @funtimeboi100 funtimeboi100 / eaglercraftx-1.8  
 @fwij fwij / eaglercraftx-1.8  
 @g2bb g2bb / eaglercraftx-1.8  
 @GalaxyBender GalaxyBender / eaglercraftx-1.8  
 @Gamer44222 Gamer44222 / eaglercraft-1.8  
 @GamingReborn GamingReborn / eaglercraftx-1.8  
  @GamingR GamingR / eaglercraftx-1.8  
 @george9812 george9812 / eaglercraftx-1.8  
 @GiggaChad1 GiggaChad1 / eaglercraftx-1.8  
 @Gingledwarf Gingledwarf / eaglercraftx-1.8  
 @givemecookies-create givemecookies-create / eaglercraftx-1.8  
 @GMONEYBOI2234 GMONEYBOI2234 / Grayson-Brown-s-Server  
 @Goodguy1224 Goodguy1224 / eaglercraftx-1.8  
 @grbriggs26 grbriggs26 / eaglercraftx-1.8  
 @GreatAlexander13 GreatAlexander13 / eaglercraftx-1.8  
 @GuestIsPlaying GuestIsPlaying / eaglercraftx-1.8  
 @Gunawan092w-Repo Gunawan092w-Repo / eaglercraftx-1.8  
 @hahurmom hahurmom / loathsomedungeatersexscene  
 @Hambuger123 Hambuger123 / eaglercraftx-1.8  
 @hamoodhabibi5428 hamoodhabibi5428 / eaglercraftx-1.8  
 @handylizard handylizard / NovaClient  
  @BarneyCompiler BarneyCompiler / NovaClient  
  @idrkwhotbh idrkwhotbh / NovaClient  
 @HANSA127 HANSA127 / eaglercraft-fork  
 @happylabdab8 happylabdab8 / eaglercraftx-1.8  
 @HelloMakaYT HelloMakaYT / eaglercraftx-1.8  
 @Holotaped Holotaped / eaglercraftx-1.8  
 @Hugocill Hugocill / Ayunami---Hugo-Eaglecraft  
 @Hybird786 Hybird786 / eaglercraftx-1.8  
 @iamadumbo iamadumbo / eaglercrad  
 @IamCeu IamCeu / eaglercraftx-1.8  
 @Iavenderexe Iavenderexe / eaglercraftx-1.8  
 @IC-MI IC-MI / eaglercraftx-1.8  
 @Ilikefigs Ilikefigs / eaglercraftx-1.8  
 @im-water-stugg-in-heck im-water-stugg-in-heck / eaglercraftx-1.8  
 @ImCasually ImCasually / blazeclient1.8.github.io  
 @imgreys imgreys / eaglercraftx-1.8  
 @j3lf j3lf / eaglercraftx-1.8  
 @janeqmc janeqmc / eaglercraftx-1.8  
 @jasonjamalbartho jasonjamalbartho / eaglercraftx-1.8  
 @JathLMAO JathLMAO / eaglercraftx-1.8  
 @javaarchive javaarchive / eaglercraftx-1.8-tweaks  
 @jaylenli2010 jaylenli2010 / eaglercraftx-1.8  
 @jbone392 jbone392 / eaglercraftx-1.8  
 @JessePinkman27 JessePinkman27 / EaglercraftX  
 @jEsUsCLAPSu jEsUsCLAPSu / eaglercraftx-1.8  
 @JJDA211 JJDA211 / JJDA211.github.io  
 @jmxamongusmodder jmxamongusmodder / eaglercraftx-1.8  
 @johnnywiththecube johnnywiththecube / stuff  
 @Johnsghsgs Johnsghsgs / eaglercraftx-1.8  
 @JohnSmithSmith31 JohnSmithSmith31 / eaglercraftx-1.8  
 @jonathanmalekar jonathanmalekar / eaglercraftx-1.8  
 @jordyTT jordyTT / eaglercraftx-1.8  
 @joshadude joshadude / eaglercraftx-1.8  
 @JoshuaLin1 JoshuaLin1 / eaglercraftx-1.8  
 @Just2Good69 Just2Good69 / eaglercraftx-1.8  
 @JustinDoesStuff JustinDoesStuff / eaglercraftx-1.8  
 @JustSmthRandom JustSmthRandom / Minecraft  
 @Kambrqn Kambrqn / eaglercraftx  
 @kappaox kappaox / eaglercraftx-1.8  
 @karsonboi1 karsonboi1 / eaglercraftx-1.8  
 @KashJurni KashJurni / eaglercraftx-1.8  
 @KatyushaTheCommi KatyushaTheCommi / asdfasdf  
 @Kevin-akaBlueSieren Kevin-akaBlueSieren / eaglercraftx-1.8  
 @King0fgods King0fgods / eaglercraftx-1.8  
 @Kingjc901 Kingjc901 / hangouts-smp  
 @kjbyah kjbyah / eaglercraftx-1.8  
 @kjchase26 kjchase26 / tayk  
 @KocoaVision KocoaVision / eagler-fork  
 @Koonjun100 Koonjun100 / eaglercraftx-1.8  
 @Kryx1 Kryx1 / eaglercraftx-1.8  
 @kwin487 kwin487 / eaglercraftx-1.8  
 @kyleahcain2010 kyleahcain2010 / eaglercraftx-1.8  
 @Kyrieloos Kyrieloos / eaglercraftx-1.8  
 @l3ViaThA09 l3ViaThA09 / eaglercraftx-1.8  
 @LateAlways LateAlways / eaglercraftx-1.8  
 @LBozoRat LBozoRat / eaglercraftx-1.8  
 @LegendOfSpanking LegendOfSpanking / blokgrade  
 @LetsGoToSpace LetsGoToSpace / eaglercraftx-1.8  
 @LeviWPlays LeviWPlays / eaglex-1.8  
 @lightofsnow1 lightofsnow1 / newcraft  
 @LLLLBOZOTHO LLLLBOZOTHO / eaglercraftx-1.8  
 @lolimnotanoob lolimnotanoob / eaglercraftx-1.8  
 @LostL3g3nd LostL3g3nd / eaglercraftx-1.8  
 @Ltooelst Ltooelst / eaglercraftx-1.8  
 @lucaswyd lucaswyd / eaglercraftx-1.8  
 @LUIS9799 LUIS9799 / eaglercraftx-1.8  
 @lwd-temp lwd-temp / eaglercraftx-1.8  
 @M3ll0hi M3ll0hi / The-Bean-Cracker  
 @Madmaxxx129 Madmaxxx129 / Minecraft.X-1.8.8  
 @Mantas22XYT Mantas22XYT / eaglercraftx-forge-test  
 @markmay76 markmay76 / eaglercraftx-1.8  
 @MarvelNerd031008 MarvelNerd031008 / MarvelNerd0310seaglercraft1.8  
 @matthewt1180 matthewt1180 / eaglercraftx-1.8  
 @Max853 Max853 / My-Eaglercraft-Fork-  
 @McEgg20 McEgg20 / eaglercraftx-1.8  
 @McInellyHs McInellyHs / eaglercraftx-1.8  
 @mcldgcode mcldgcode / mcldgcode.github.io  
 @mememan12343028975720957023 mememan12343028975720957023 / eaglercraftx-1.8  
 @Metamorphosise Metamorphosise / eaglercraftx-1.8  
 @Methbouy Methbouy / eaglercraftx-1.8  
 @mexisofunny mexisofunny / eaglercraftx-1.8  
 @mi151848 mi151848 / eaglercraftx-1.8  
 @MiguelTza MiguelTza / eaglercraftx-1.8  
 @mileswolfallen2 mileswolfallen2 / eaglercraftx-1.8  
 @Minecraftuser11 Minecraftuser11 / eaglercraftx-1.8  
 @Mitchelliscool Mitchelliscool / eaglercraftx-1.8  
 @Mohammesueube Mohammesueube / eaglercraftx-1.8  
 @Monkeyghg Monkeyghg / eaglercraftx-1.8  
 @MotorTruck1221 MotorTruck1221 / eaglercraftx-1.8  
 @moyela moyela / eaglercraftx-1.8  
 @mugiwaraluffyX mugiwaraluffyX / eaglercraftx-1.8  
 @MunyDev MunyDev / eaglercraftx-1.8-download-optimizer  
 @MysticGamesDev MysticGamesDev / MysticClient  
 @n00bShark n00bShark / n00bcraft  
 @NedzforrSpedzz NedzforrSpedzz / Not-Nedo  
 @NHSty NHSty / my-eaglercraft-fork  
 @nightmare0090 nightmare0090 / eaglercraftx-1.8  
 @nightmare0098 nightmare0098 / eaglercraftx-1.8  
 @nikkilol nikkilol / my-eaglercraft-lolz  
 @NoahNinja100 NoahNinja100 / eaglercraftx-1.8  
 @nosejeh nosejeh / my-eaglecraft-fork  
 @NotLiammm NotLiammm / eaglercraftx-1.8  
 @NUYANUYABUSSNIES NUYANUYABUSSNIES / eaglercraftx-1.8  
 @oblivion-aka-void-b oblivion-aka-void-b / eaglercraftx-1.8  
 @OculaDotNET OculaDotNET / eaglercraftx-oculadotnet  
 @oFour9 oFour9 / eaglercraftx-1.8  
 @ohheygfx ohheygfx / eaglercraftx-1.8  
 @Oihan18 Oihan18 / eaglercraftx-1.8  
 @OKAYnameNAMENM OKAYnameNAMENM / eaglercraftx-1.8-  
 @ONaser ONaser / eaglercraftx-1.8  
 @OreoDaDoge OreoDaDoge / eaglercraftx-1.8  
 @PackableGaming PackableGaming / eaglercraftx-1.8  
 @papashauntey papashauntey / minecraft  
 @Pathygod333 Pathygod333 / eaglercraftx-1.8  
 @pbjbat21 pbjbat21 / eaglercraftx-1.8  
 @peabrain2 peabrain2 / eaglercraftx-1.8  
 @piedaed piedaed / eaglercraftx-1.8  
 @Pinappleant Pinappleant / eaglercraftx-1.8  
 @plo456 plo456 / eaglercraftx-1.8  
 @Poozz Poozz / eaglercraftx-1.8  
 @pranavvora pranavvora / eaglercraftx-1.8  
 @PrimerSquad PrimerSquad / eaglercraftx-1.8  
 @PrithviPradhan PrithviPradhan / eaglercraftx-1.8  
 @professionalbloonpopper professionalbloonpopper / eaglercraftx-1.8  
 @professorparabellum professorparabellum / eaglercraftx-1.8  
 @ProfessorPikachu ProfessorPikachu / eaglercraftx-1.8  
 @pryh11 pryh11 / eaglercraftx-1.8  
 @qerwu qerwu / eaglercraftx-1.8  
 @QuadFather3000 QuadFather3000 / MHSMinecraft  
 @QueenofLegends QueenofLegends / eaglercraftx-1.8  
 @qzenlebg qzenlebg / eaglercraftx-1.8  
 @R3dninja6 R3dninja6 / eaglercraftx-1.8  
 @Radiance1234 Radiance1234 / eaglercraftx-1.8  
 @RadioactivePotato RadioactivePotato / eaglerX-1.8-ARCHIVE  
 @Rahib777-7 Rahib777-7 / eaglercraftx-1.8  
 @rajasgandhi rajasgandhi / eaglercraftx-1.8  
 @RandomDude481 RandomDude481 / eaglercraftx-1.8  
 @Razor90000 Razor90000 / RazorsFORK  
 @real-kwellercat real-kwellercat / BakoClient-vEAGLER1.8  
 @Red-SeaZ Red-SeaZ / Minecraft1.8  
 @RenoWyatt RenoWyatt / eaglercraftx-1.8  
 @rensqueboyyyyy rensqueboyyyyy / eaglercraftx-1.8  
 @Reonk14 Reonk14 / eaglercraftx-1.8  
 @Rice119 Rice119 / eaglercraftx-1.8  
 @RobbyV2 RobbyV2 / eaglercraftx-1.8  
 @robo1123mn robo1123mn / eaglercraftx-1.8  
 @rolexwatch123 rolexwatch123 / eaglercraftx-1.8  
 @romebook romebook / eaglercraftx-1.8  
 @Romulatorr Romulatorr / eaglercraftx-1.8  
 @RoshanJpNaveen RoshanJpNaveen / Mckkserver  
 @rushercap rushercap / eaglercraftx-1.8  
 @Salmon900009 Salmon900009 / eaglercraftx-1.8  
 @SaltyPhoenix SaltyPhoenix / eaglercraftx-1.8  
 @samuelmatiyabo samuelmatiyabo / eaglercraftx-1.8  
 @SanicBTW SanicBTW / eaglercraftx-1.8  
 @Sauucey767676 Sauucey767676 / eaglercraftx-1.8  
 @sbunker83 sbunker83 / eaglercraftx-1.8  
 @SchoolBoyCalvin SchoolBoyCalvin / eaglercraftx-1.8  
 @Searddecan Searddecan / eaglercraftx-1.8  
 @Serveradmin1234 Serveradmin1234 / LifestealSMP  
 @SGANG21 SGANG21 / homework  
 @Shadownyan21 Shadownyan21 / meeaglercraftx-1.8  
 @ShatteredDisk ShatteredDisk / eaglercraftx-1.8  
 @sheeshdagamer sheeshdagamer / eaglercraftx-1.8  
 @Shwav Shwav / eaglercraftx-1.8-Server  
 @SipSup3314 SipSup3314 / eaglercraftx-1.8  
 @skuffed3751 skuffed3751 / eaglercraft-fork  
 @SnesLover22 SnesLover22 / eaglercraftx-1.8  
 @sniper694200 sniper694200 / eaglercraftx-1.8  
 @SocksForCats SocksForCats / eaglercraftx-1.8  
 @SpaceMonke64 SpaceMonke64 / eaglercraftx-1.8  
 @SpadesVR SpadesVR / eaglercraftx-1.8  
 @SplashDash52 SplashDash52 / eaglercraftx-1.8  
 @Spooks-official Spooks-official / eaglercraftx-1.8  
 @spyneyCACDIZ spyneyCACDIZ / EaglercraftXXX  
 @squidiig squidiig / gab3  
 @stevoooooooo stevoooooooo / eaglercraft  
 @SubDogWater SubDogWater / eaglercraftx-1.8  
 @Supremelane2 Supremelane2 / eaglercraftx-1.8  
 @sxuffer sxuffer / eaglercraftx-1.8  
 @sytho-chan sytho-chan / my-eaglecraft-fork-  
 @T306 T306 / noteaglercraftx-1.8  
 @T3ddytheman T3ddytheman / Ted_10-s-Fork  
 @Tace01 Tace01 / Tacecraftx-1.8  
 @tainyishi tainyishi / eaglercraftx-1.8  
 @TechnobladeVIP TechnobladeVIP / my-thingie  
 @TechnoJarvis TechnoJarvis / eaglecraft-fork  
 @Teerths Teerths / finna-deploy  
 @terrroberts terrroberts / eaglercraftx-1.8  
 @thackcro thackcro / eaglercraftx-1.8  
 @thatboigoku thatboigoku / eaglercraftx-1.8  
 @ThatOneBeatSaberGuy ThatOneBeatSaberGuy / eaglercraftx-1.8  
 @thatsloppy thatsloppy / eaglercraftx-1.8  
 @Thavaprocoder Thavaprocoder / eaglercraftx-1.8  
 @thecyrack thecyrack / eaglercraftx-1.8  
 @TheDiversion TheDiversion / eaglercraftx-1.8  
 @TheForgotten183 TheForgotten183 / eaglercraftx-1.8  
 @TheHallowPringle TheHallowPringle / eaglercraftx-1.8  
 @therealgamer841 therealgamer841 / eaglercraftx-1.8  
 @TheSimpingOne TheSimpingOne / eaglercraftx-1.8  
 @TheSwaggestMan TheSwaggestMan / eaglercraftx-1.8  
 @thewhxtemf thewhxtemf / eaglercraftx-1.8  
 @theyenvyme1 theyenvyme1 / eaglercraftx-1.8  
 @tlinever tlinever / eaglercraftx-1.8  
 @TogiFerretFerret TogiFerretFerret / eaglercraftx-1.8  
 @TomahawkRoach TomahawkRoach / HMS-EAGLECRAFT  
 @TOMMMERCADO TOMMMERCADO / Voidal-network  
 @toonsy9 toonsy9 / eaglercraftx-1.8  
 @TriFieldseven TriFieldseven / MeridianSMP  
 @turtletown73 turtletown73 / eaglercraft-1.8  
 @TuxRalsei TuxRalsei / Gabes-Server  
 @TwoMuchNerdo TwoMuchNerdo / eaglercraftx-1.8-1  
 @TXMDHusky TXMDHusky / Schoool  
 @Tyler69760 Tyler69760 / eaglercraftx-1.8  
 @ugra2224 ugra2224 / E  
 @ultimatechadguy ultimatechadguy / eaglercraftx-1.8  
 @unitybeta unitybeta / eaglercraftx-1.8  
 @unspeakfan unspeakfan / eaglercraftx-1.8  
 @UNTITLEDRBLXYOUTUBER UNTITLEDRBLXYOUTUBER / eaglercraftx-1.8  
 @unxw unxw / eg1.8  
 @uwu69uwu uwu69uwu / eaglercraftx-1.8  
 @vcxlton vcxlton / eaglercraftx-1.8  
 @Vikiyo Vikiyo / eaglercraftx-1.8  
 @Vishnu8283 Vishnu8283 / eaglercraftx-1.8  
 @vkoval13 vkoval13 / precisionclient  
  @l3ViaThAn09 l3ViaThAn09 / precisionclient-1  
 @VmarcoxD VmarcoxD / Watergodsmp  
 @VMP19 VMP19 / eaglercraftx-1.8  
 @wafkee wafkee / eagle-Raft  
 @WeFu4059 WeFu4059 / eaglercraftx-1.8  
 @wenderclaytonfilho wenderclaytonfilho / eaglercraftx-1.8  
 @wguy1-7 wguy1-7 / eaglercraftx-1.8  
 @whatyupsys whatyupsys / eaglercraftx-1.8  
 @Woofydude Woofydude / eaglercraftx-1.8  
 @xIcee xIcee / icyplainsweb1.8  
 @xilaus xilaus / eagler1.8  
 @XlZenji XlZenji / Burgers-on-Burgers  
 @xmagozoid xmagozoid / eaglercraftx-1.8  
 @XSharpnessClone21X XSharpnessClone21X / Eaglercraft-1.8  
 @xt0vo xt0vo / eaglercraftx-1.8  
 @xxking0scarxx xxking0scarxx / eagler  
 @yeetdoge yeetdoge / eaglercraftx-1.8  
 @YESISVERYYESBOI YESISVERYYESBOI / MINE-CRAFT-BOI  
 @YoCritStar YoCritStar / eaglercraftx-1.8  
 @Yolomastah Yolomastah / eaglercraftx-1.8  
 @yourgirlstella90 yourgirlstella90 / eaglercraftx-1.8  
 @Zizzuame Zizzuame / eaglercraftx-1.8  
 @zuzuisawsome zuzuisawsome / eaglercraftx-1.8  

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

[invalid] on GitHub is the primary account behind the project.

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private]
[private]

Email is the best: [private]

**Please type your full legal name below to sign this request.**

[private]
