Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

While GitHub did not find sufficient information to determine a valid anti-circumvention claim, we determined that this takedown notice contains other valid copyright claim(s).

---

Note: Because the parent repository was actively being forked when this DMCA takedown notice was received, and the submitter had identified all known forks at the time they submitted the takedown notice, GitHub processed the takedown notice against the entire network of 188 repositories, inclusive of the parent repository.

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

Minecraft is a global phenomenon with a significant and loyal fan base and community. In order to protect the integrity of Minecraft and the vitality of the Minecraft community, Mojang owns and enforces all intellectual property rights in and to Minecraft, including internationally-registered trademarks and copyrights in the game, game characters, and related consumer products based on the same. Mojang’s trademark rights include but are not limited to common law and federally-registered rights in the MINECRAFT mark (U.S. Reg. No. 4,252,394). In addition, Mojang owns registered and unregistered copyrights in connection with Minecraft, including but not limited to U.S. Copyright Reg. Nos. VA 1-885-980, VA 1-885-976, VA 1-886-104, VA 1-885-991, VA 1-885-988, VA 1-886-003, VA 1-886-007, VA 1-885-995, VA 1-886-008, VA 1-885-983, VA 1-885-978, VA 1-885-999, VA 1-886-006, VA 1-886-005 and VA 1-885-990 for artwork and character designs featured in the game (Mojang’s intellectual property rights are collectively referred to as the “Minecraft IP”). Mojang takes its intellectual property rights seriously and enforces them vigorously.

Mojang is keen to ensure that its community is treated fairly and safely, and that players and fans of Minecraft are not exploited. Mojang has therefore implemented the Minecraft EULA (https://www.minecraft.net/en-us/eula), which governs the use of Minecraft. The EULA prohibits, among other things, “giv[ing] copies of [Minecraft] to anyone else,” “mak[ing] commercial use of anything [Mojang] made,” and “try[ing] to make money from anything [Mojang] made.”

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

ojang is aware that there is a clone of Minecraft known as EaglerCraft which is a clone/rewrite of Minecraft the game. EaglerCraft is built on the same mechanics, use of textures, and other game systems and UX as Minecraft. EaglerCraft allows the connection to servers and does not align to the authentication schema of the authentic Minecraft game. Exact source code or pixel perfect images do not need to be in the repo to constitute copyright infringement. The development and distribution of this product infringes Mojang’s intellectual property rights and violates the Minecraft EULA. EaglerCraft also infringes Mojang’s Minecraft copyrights by using Minecraft character designs and artwork to advertise these services.

The original Minecraft can be located at http://minecraft.net.

Please note: Based on the representative number of forks I have reviewed, I believe that all or most of the forks are infringing to the same extent as the parent.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

https://github.com/eaglerarchive/eaglercraft1.5.2-final

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

We use Azure Active Directory sign in with license checks to prevent unauthorized access to our application. We also use industry best practices such as compiled code and encrypted sub-components to prevent unauthorized or inappropriate access to our application.

**How is the accused project designed to circumvent your technological protection measures?**

This user has presumably decompiled and reverse engineered portions of our code to find how to recreate the game. They have leveraged several historical versions of the game as well as other common libraries which are all laid out in the credits documentation.

Their code goes against our EULA and Terms of Use by disabling and allowing unauthenticated connections to servers as well as redistribution the client for local game play

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

Yes

@4theppll / smp  
@507152charlesdeg 507152charlesdeg / eaglercraft1.5.2-final  
@98i87 98i87 / eaglercraft1.5.2-final_archive  
@AdityaSriramSucks AdityaSriramSucks / eaglercraft1.5.2-final  
@AfMovie AfMovie / eaglercraft1.5.2-final  
@aidenw6043 aidenw6043 / eaglercraft1.5.2-final  
@amkecode amkecode / eaglercraft1.5.2-final  
@ashyboiii ashyboiii / eaglercraft1.5.2-final  
@AspectFX AspectFX / EaglerCraft-1.5.2-FINAL-BUILD  
@Autofirejm Autofirejm / eaglercraft1.5.2-final  
@AvianJay AvianJay / eaglercraft1.5.2-final-archive  
@BaconMan675 BaconMan675 / eaglercraft1.5.2-final  
@Bandilovecat1494 Bandilovecat1494 / eaglercraft1.5.2-final  
@BasicStudio BasicStudio / eaglercraft1.5.2-final  
@basketbasketballgod basketbasketballgod / eaglercraft1.5.2-final  
@BenM04 BenM04 / eaglercraft1.5.2-final  
@Bennissomeone Bennissomeone / eaglercraft1.5.2-final  
@BhagThag BhagThag / eaglercraft1.5.2-final  
@BigJim69 BigJim69 / eaglercraft1.5.2-final  
@blackxfiied blackxfiied / eaglercraft1.5.2-final  
@Blahadas Blahadas / eaglercraft1.5.2-final  
@bloohacked bloohacked / eaglercraft1.5.2-final  
@Blu3jay9 Blu3jay9 / eaglercraft1.5.2-final  
@Bruhyeets Bruhyeets / eaglercraft1.5.2-final  
@butlerfinnegan butlerfinnegan / EAsportsitsinthegame  
@c0denamer c0denamer / eaglercraft1.5.2-final  
@c0nstantly c0nstantly / eaglercraft1.5.2-final  
@CertifiedLiquidChrisFan CertifiedLiquidChrisFan / eaglercraft1.5.2-final  
@Chaos587587 Chaos587587 / eaglercraft1.5.2-final  
@chloeyayay chloeyayay / eaglercraft1.5.2-final  
@Clockweb Clockweb / eaglercraft1.5.2-final  
@clowningArowning clowningArowning / bootlegcraftrevival  
@coolgamerkid332 coolgamerkid332 / .5final  
@crazydolphin-inhash crazydolphin-inhash / hehehehaw  
@DABEEBOl DABEEBOl / eaglercraft1.5.2-final  
@DaddyBaka DaddyBaka / DOODOO-CRAFT  
@danielpro-rpi danielpro-rpi / eaglercraft1.5.2-final  
@darkshadow3211 darkshadow3211 / stupid_eaglercraft1.5.2-  
@Daytonohio09 Daytonohio09 / eaglercraft1.5.2-final  
@devxan devxan / eaglercraft1.5.2  
@dotargz dotargz / eaglercraft1.5.2-final  
@DougZKing DougZKing / eaglercraft1.5.2-final  
@drmcbride1 drmcbride1 / eaglercraft1.5.2-final  
@DuskForme DuskForme / eaglercraft1.5.2-final  
@dYXMO dYXMO / eaglercraft1.5.2-final  
@ede4321 ede4321 / eaglercraft1.5.2-final  
@Exgee Exgee / eaglercraft1.5.2-final  
@ExlKev ExlKev / eaglercraft1.5.2-final  
@FatalEagler FatalEagler / eaglercraft1.5.2-final  
@FelipeToPoderoso FelipeToPoderoso / eaglercraft1.5.2-final  
@FFierce FFierce / eaglercraft  
@fiufudawrxdv fiufudawrxdv / DeployCraft  
@flamebearing123 flamebearing123 / eaglercraft1.5.2-final  
@fmsdb fmsdb / eaglercraft1.5.2-final  
@Gamerboi699 Gamerboi699 / eaglercraft1.5.2-final  
@GGRules GGRules / eaglercrtfa1.5.2-final  
@gideonsverison gideonsverison / eaglercraft1.5.2-final  
@Guyandhishat Guyandhishat / eaglercraft1.5.2-final  
@HalalRamadan HalalRamadan / blockocraft  
@HalfKill HalfKill / eaglercraft1.5.2-final  
@HolsterSP HolsterSP / eaglercraftXF  
@hydroflame521 hydroflame521 / Eaglercraft  
@HypnotiZeRek HypnotiZeRek / eaglercraft1.5.2-final  
@iamcool27 iamcool27 / eaglercraft1.5.2-final  
@Ilentian Ilentian / eaglercraft1.5.2-final  
@Ima-Triscuit Ima-Triscuit / Eaglercraft  
@imgreys imgreys / eaglercraft1.5.2-final  
@InfinteGOd InfinteGOd / eaglercraft1.5.2-final  
@IonDischarge IonDischarge / eaglercraft1.5.2-final  
@JacksonTheKuz JacksonTheKuz / eaglercraft1.5.2-final  
@Jakehero4 Jakehero4 / eaglercraft1.5.2-final  
@JarJar061 JarJar061 / eaglercraft1.5.2-final  
@jcwatjen jcwatjen / eaglercraft1.5.2-final  
@John2ee John2ee / eaglercraft1.5.2-final  
@jyn-git jyn-git / eaglercraft1.5.2-final  
@KevinLu2000 KevinLu2000 / eaglercraft1.5.2-final  
@Kill3rtr0n Kill3rtr0n / triplethreatmcv2  
@Kleembus7823 Kleembus7823 / eaglercraft1.5.2-server  
@korbynl korbynl / eaglercraft1.5.2-final  
@Lightningeek Lightningeek / eaglercraft1.5.2-final  
@Lking3303 Lking3303 / eaglercraft1.5.2-final  
@LLLLBOZOTHO LLLLBOZOTHO / eaglercraft1.5.2-final  
@LostBro2010 LostBro2010 / eaglercraft1.5.2-final  
@Lovepugs Lovepugs / eaglercraft1.5.2-final  
@m1kecraft m1kecraft / eaglercraft1.5.2-final  
@MCNUBR MCNUBR / eaglercraft1.5.2-MCNUBR  
@mexisofunny mexisofunny / rewave-client  
@mlgconnor420 mlgconnor420 / eaglercraft1.5.2-final  
@mohammad406 mohammad406 / eaglercraft1.5.2-final  
@Monkeyghg Monkeyghg / eaglercraft1.5.2-final  
@MOTHER6 MOTHER6 / eaglercraft1.5.2-final  
@Mrgoldilocks Mrgoldilocks / eaglercraft1.5.2-final  
@mymcps mymcps / minecraft  
@Namgood Namgood / eaglercraft1.5.2-final  
@ndkb ndkb / eaglercraft1.5.2-final  
@NedzforrSpedzz NedzforrSpedzz / eaglercraft1.5.2-final  
@nickyboy101 nickyboy101 / eaglercraft1.5.2-final  
@NotJack173 NotJack173 / eaglercraft1.5.2-final  
@notjaneq notjaneq / eaglercraft  
@NuraadR NuraadR / eaglercraft152  
@odin29 odin29 / eaglercraft1.5.2-final  
@Odin983 Odin983 / eaglercraft1.5.2-final  
@oksanaDevelop oksanaDevelop / eaglercraft1.5.2-final  
@Omari7red Omari7red / hyper-mincecraft.IO-htlm.  
@ONlyalx ONlyalx / eaglercraft1.5.2-final  
@OpenGamer42 OpenGamer42 / eaglercraft1.5.2-final  
@Paragramex Paragramex / eaglercraft1.5.2-final  
@peabrain2 peabrain2 / eaglercraft1.5.2-final  
@peavybw peavybw / eaglercraft1.5.2-final  
@Piggr Piggr / minecraft1.5.2  
@Prunchy-Potatoes Prunchy-Potatoes / eaglercraft1.5.2-final  
@puper1 puper1 / eaglercraft1.5.2-final  
@pythoncoding132 pythoncoding132 / eaglercraft1.5.2-final  
@RandomCat2573 RandomCat2573 / eaglercraft1.5.2-final  
@Rasungod065 Rasungod065 / eaglercraft1.5.2-final  
@Razboinicul Razboinicul / eaglercraft1.5.2-final  
@Redsonbabytiger Redsonbabytiger / eaglercraft1.5.2-final  
@Rehan0123456 Rehan0123456 / eaglercraft1.5.2-final  
@Ricottv Ricottv / eaglercraft1.5.2-final  
@robotbirdfan robotbirdfan / eaglercraft1.5.2-final  
@roonie19 roonie19 / minecraft  
@Roosiii Roosiii / eaglercraft1.5.2rr  
@RyanIsGoat RyanIsGoat / minecraft  
@Salty-Mat Salty-Mat / eaglercraft1.5.2-final  
@Samoofed Samoofed / eaglercraft1.5.2-final  
@ScemBeg ScemBeg / eaglercraft1.5.2-final  
@Sebastian-105 Sebastian-105 / eaglercraft1.5.2-final  
@Sereneplays08 Sereneplays08 / eaglercraft1.5.2-final  
@serrcoss serrcoss / imsoepic  
@shoxqed shoxqed / eaglercraft1.5.2-final  
@silverghost2000 silverghost2000 / eaglercraft1.5.2-final  
@SnesFX SnesFX / mcweb  
@Snowytiger19 Snowytiger19 / eaglercraft1.5.2-final  
@spe201 spe201 / eaglercraft1.5.2-final  
@SqueakyParr0t SqueakyParr0t / SqueakClient  
@Stypical Stypical / eaglercraft  
@SunkenStudios SunkenStudios / eaglercraft1.5.2-final-pbf  
@crustysoup crustysoup / eaglercraft1.5.2-final-pbf  
@SussyFortnite SussyFortnite / eaglercraft1.5.2-final  
@Technoblade32 Technoblade32 / eaglercraft1.5.2-final  
@Th3Plum Th3Plum / EaglerCraft-server  
@ThatOneAsianBoi ThatOneAsianBoi / eaglercraft1.5.2-final  
@therealxion therealxion / eaglercraft1.5.2-final  
@Thewifehaver333 Thewifehaver333 / eaglercraft1.5.2-final  
@ThunderBolt4964 ThunderBolt4964 / minecraftbutamoguS  
@Tim-Van-Grijs Tim-Van-Grijs / 1.5.2  
@TLiversedge2020 TLiversedge2020 / eaglercraft1.5.2-final  
@ToastyRenegade ToastyRenegade / eaglercraft1.5.2-final  
@TuniBelugi TuniBelugi / MinceRaft  
@U5KUN U5KUN / eaglercraft-fast  
@A-Random-Person-on-Github A-Random-Person-on-Github / eaglercraft-fast  
@ui277 ui277 / eaglercraft1.5.2-final  
@UniRhyme UniRhyme / eaglercraft1.5.2-final  
@unluckky unluckky / eaglercraft1.5.2-final  
@urmom345 urmom345 / eaglercraft1.5.2-final  
@User193429 User193429 / eaglercraft1.5.2-final  
@VeryBluBoi2 VeryBluBoi2 / eaglercraft1.5.2-final  
@videoconsole videoconsole / Goldendaysport  
@VodimTheFurry VodimTheFurry / eaglercraft1.5.2-final-test2-  
@vuzlaa vuzlaa / eaglercraft1.5.2-final  
@W-i-n-7 W-i-n-7 / eaglercraft1.5.2-final  
@wafkee wafkee / eaglercraft1.5.2-final  
@winkyfacehungry winkyfacehungry / eaglercraft1.5.2-final  
@WorldEditAxe WorldEditAxe / eaglercraft1.5.2-final  
@WowDaBug WowDaBug / eaglercraft1.5.2-final  
@XxImaDarkReaperxX XxImaDarkReaperxX / dmcaisahorriblethingandmojangcangotohellyoupeicesofshit  
@yessir4334 yessir4334 / eaglercraft1.5.2-final  
@yoshi1295junior yoshi1295junior / eaglercraft1.5.2-final  
@zathestic zathestic / eaglercraft1.5.2-final  

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

No

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private]  
[private]  

Email is the best: [private]

**Please type your full legal name below to sign this request.**

[private]
