Before disabling any content in relation to this takedown notice, GitHub
- contacted the owners of some or all of the affected repositories to give them an opportunity to [make changes](https://docs.github.com/en/github/site-policy/dmca-takedown-policy#a-how-does-this-actually-work).
- provided information on how to [submit a DMCA Counter Notice](https://docs.github.com/en/articles/guide-to-submitting-a-dmca-counter-notice).

To learn about when and why GitHub may process some notices this way, please visit our [README](https://github.com/github/dmca/blob/master/README.md#anatomy-of-a-takedown-notice).

---

While GitHub did not find sufficient information to determine a valid anti-circumvention claim, we determined that this takedown notice contains other valid copyright claim(s).

---

Note: Because the parent repository was actively being forked when this DMCA takedown notice was received, and the submitter had identified all known forks at the time they submitted the takedown notice, GitHub processed the takedown notice against the entire network of 92 repositories, inclusive of the parent repository.

---

**Are you the copyright holder or authorized to act on the copyright owner's behalf?**

Yes, I am authorized to act on the copyright owner's behalf.

**Are you submitting a revised DMCA notice after GitHub Trust & Safety requested you make changes to your original notice?**

No

**Does your claim involve content on GitHub or npm.js?**

GitHub

**Please describe the nature of your copyright ownership or authorization to act on the owner's behalf.**

Minecraft is a global phenomenon with a significant and loyal fan base and community. In order to protect the integrity of Minecraft and the vitality of the Minecraft community, Mojang owns and enforces all intellectual property rights in and to Minecraft, including internationally-registered trademarks and copyrights in the game, game characters, and related consumer products based on the same. Mojang’s trademark rights include but are not limited to common law and federally-registered rights in the MINECRAFT mark (U.S. Reg. No. 4,252,394). In addition, Mojang owns registered and unregistered copyrights in connection with Minecraft, including but not limited to U.S. Copyright Reg. Nos. VA 1-885-980, VA 1-885-976, VA 1-886-104, VA 1-885-991, VA 1-885-988, VA 1-886-003, VA 1-886-007, VA 1-885-995, VA 1-886-008, VA 1-885-983, VA 1-885-978, VA 1-885-999, VA 1-886-006, VA 1-886-005 and VA 1-885-990 for artwork and character designs featured in the game (Mojang’s intellectual property rights are collectively referred to as the “Minecraft IP”). Mojang takes its intellectual property rights seriously and enforces them vigorously.

Mojang is keen to ensure that its community is treated fairly and safely, and that players and fans of Minecraft are not exploited. Mojang has therefore implemented the Minecraft EULA (https://www.minecraft.net/en-us/eula), which governs the use of Minecraft. The EULA prohibits, among other things, “giv[ing] copies of [Minecraft] to anyone else,” “mak[ing] commercial use of anything [Mojang] made,” and “try[ing] to make money from anything [Mojang] made.”

**Please provide a detailed description of the original copyrighted work that has allegedly been infringed. If possible, include a URL to where it is posted online.**

Mojang is aware that there is a clone of Minecraft known as EaglerCraft which is a clone/rewrite of Minecraft the game. EaglerCraft is built on the same mechanics, use of textures, and other game systems and UX as Minecraft. EaglerCraft allows the connection to servers and does not align to the authentication schema of the authentic Minecraft game. Exact source code or pixel perfect images do not need to be in the repo to constitute copyright infringement. The development and distribution of this product infringes Mojang’s intellectual property rights and violates the Minecraft EULA. EaglerCraft also infringes Mojang’s Minecraft copyrights by using Minecraft character designs and artwork to advertise these services.

The original Minecraft can be located at http://minecraft.net.

Please note: Based on the representative number of forks I have reviewed, I believe that all or most of the forks are infringing to the same extent as the parent.

Also note, while the repo may say it has been archived and they have added language telling you to buy the game, there is still source that we do not want to be present and visible in the archive.

**What files should be taken down? Please provide URLs for each file, or if the entire repository, the repository’s URL.**

https://github.com/ayunami2000/eaglercraft-replit

**Do you claim to have any technological measures in place to control access to your copyrighted content? Please see our <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice#complaints-about-anti-circumvention-technology">Complaints about Anti-Circumvention Technology</a> if you are unsure.**

Yes

**What technological measures do you have in place and how do they effectively control access to your copyrighted material?**

We use Azure Active Directory sign in with license checks to prevent unauthorized access to our application. We also use industry best practices such as compiled code and encrypted sub-components to prevent unauthorized or inappropriate access to our application.

**How is the accused project designed to circumvent your technological protection measures?**

This user has presumably decompiled and reverse engineered portions of our code to find how to recreate the game. They have leveraged several historical versions of the game as well as other common libraries which are all laid out in the credits documentation.

Their code goes against our EULA and Terms of Use by disabling and allowing unauthenticated connections to servers as well as redistribution the client for local game play.

**<a href="https://docs.github.com/articles/dmca-takedown-policy#b-what-about-forks-or-whats-a-fork">Have you searched for any forks</a> of the allegedly infringing files or repositories? Each fork is a distinct repository and must be identified separately if you believe it is infringing and wish to have it taken down.**

Yes, the following are forks of the above mentioned repo.

@aaronplayz1232 aaronplayz1232 / eaglercraft-replit  
@Abnumality Abnumality / eaglercraft-replit  
@TREBLA-ARCHIVE TREBLA-ARCHIVE / eaglercraft-replit  
@Americandude Americandude / eaglercraft-replit  
@AspectPyro071 AspectPyro071 / eaglercraft-replit  
@BananaBeast9910 BananaBeast9910 / eaglercraft-replit  
@Bigfoot9999 Bigfoot9999 / eaglercraft-replit  
@BloodAngel888 BloodAngel888 / eaglercraft-replit-lhs  
@bobbityif bobbityif / eaglercraft-replit  
@chippyhawk chippyhawk / eaglercraft-replit  
@ckhfy ckhfy / eaglercraft-replit  
@coderforu coderforu / Eaglercraft-server  
@crustysoup crustysoup / eaglercraft-replit  
@Custom94091 Custom94091 / eaglercraft-replit  
@danielpro-rpi danielpro-rpi / eaglercraft-replit  
@DaniesConsole DaniesConsole / eaglercraft-replit  
@DaRealBossPro31 DaRealBossPro31 / eaglercraft-replit  
@DaxxAtk DaxxAtk / Gaymer  
@ddillan124 ddillan124 / eaglercraft-replit  
@DillPickel1234 DillPickel1234 / JonSMP  
@dlopez-rojas7612 dlopez-rojas7612 / minecraft-1.5.2  
@Dog21200 Dog21200 / eaglercraft-replit  
@Donuthead85 Donuthead85 / eaglercraft-replit  
@DragonSlayerOfEducation DragonSlayerOfEducation / eaglercraft-replit  
@EAGLERNERD EAGLERNERD / eaglercraft-replit  
@eaturhamster eaturhamster / eaglercraft-replit  
@Eclipse-5214 Eclipse-5214 / eaglercraft-replit  
@erger565 erger565 / eaglercraft-replit  
@Erisfiregamer1 Erisfiregamer1 / eaglercraft-replit  
@ertiu90 ertiu90 / eaglercraft-replit  
@FailedCoder23 FailedCoder23 / eaglercraft-replit  
@FlamingSpeed FlamingSpeed / relax-replit  
@GarrisonCool1 GarrisonCool1 / eaglercraft-replit  
@GGRules GGRules / eagle  
@gracie464 gracie464 / eaglercraft-replit  
@gragles50 gragles50 / eaglercraft-replit  
@grbriggs26 grbriggs26 / eaglercraft-replit  
@grtegrfdtergddewda grtegrfdtergddewda / Eaglercraft  
@GTXT59 GTXT59 / eaglercraft-replit  
@hypercoder12345 hypercoder12345 / eaglercraft-replit  
@idkwhotbhe idkwhotbhe / eaglercraft-replit  
@ILoveMiffy ILoveMiffy / eaglercraft-replit  
@imkkaz imkkaz / EC-Server2  
@IsaacLK IsaacLK / eaglercraft-replit-server  
@3amonEamon 3amonEamon / eaglercraft-replit-server  
@jo9182 jo9182 / eaglercraft-replit-server  
@noahidot noahidot / eggcraft  
@yeet4515 yeet4515 / im-a-bannana  
@ItsameLouigi ItsameLouigi / Heehee  
@Jaccc200 Jaccc200 / eaglercraft-replit  
@John2212ho John2212ho / eaglercraft-replit  
@klthemathnerd8 klthemathnerd8 / eaglercraft-replit  
[invalid]  
@Laneco-Ltd Laneco-Ltd / eaglercraft-replit  
@lilboyjoe lilboyjoe / eaglercraft-replit.  
@LukeTube1000 LukeTube1000 / server  
@lwd-temp lwd-temp / eaglercraft-replit  
@M0rgits M0rgits / eaglercraft-replit  
@MangoReggie MangoReggie / eaglercraft  
@MEEBLOXAlt MEEBLOXAlt / eaglercraft-replit  
@Monkeyghg Monkeyghg / eaglercraft-replit  
@NFT2626 NFT2626 / eaglercraft-replit  
@NuraadR NuraadR / eaglercraft-heroku  
@OasisForOne OasisForOne / eaglercraft-replit  
@oksanaDevelop oksanaDevelop / eaglercraft-replit  
@pbk123461 pbk123461 / Wcms-smp  
@pok0129 pok0129 / eaglercraft-replit  
@RealPogger RealPogger / eaglercraft-replit  
@replitdot replitdot / forkit  
@RobbyV2 RobbyV2 / eaglercraft-replit  
@snorlax17 snorlax17 / eaglercraft-replit  
@sparkybuttboombo sparkybuttboombo / salecreek-server  
@thebestkid2234 thebestkid2234 / eaglercraft-replit  
@timmytimmmm timmytimmmm / eaglercraft-replit  
@turtletown73 turtletown73 / eaglercraft-replit  
@Typan00 Typan00 / eaglercraft-replit  
@tyu09809 tyu09809 / eaglercraft-replit  
@USERNAMECHICKEN USERNAMECHICKEN / eaglercraft-replit  
@wafflemk wafflemk / eaglercraft-replit  
@wolfer236 wolfer236 / eaglercraft-replit  
@WWolfPlaysYT WWolfPlaysYT / IdiotCraftSeason10  
@X30N74 X30N74 / eaglercraft-replit  
@xlegends xlegends / eaglercraft-replit  
@xroxyplaysmuicx xroxyplaysmuicx / eaglercraft-replit  
@XSharpnessClone21X XSharpnessClone21X / Eaglercraft  
@ZedCT ZedCT / test-moment  
@zer0mania zer0mania / eaglercraft-replit  

**Is the work licensed under an open source license?**

No

**What would be the best solution for the alleged infringement?**

Reported content must be removed

**Do you have the alleged infringer’s contact information? If so, please provide it.**

N/A

**I have a good faith belief that use of the copyrighted materials described above on the infringing web pages is not authorized by the copyright owner, or its agent, or the law.**

**I have taken <a href="https://www.lumendatabase.org/topics/22">fair use</a> into consideration.**

**I swear, under penalty of perjury, that the information in this notification is accurate and that I am the copyright owner, or am authorized to act on behalf of the owner, of an exclusive right that is allegedly infringed.**

**I have read and understand GitHub's <a href="https://docs.github.com/articles/guide-to-submitting-a-dmca-takedown-notice/">Guide to Submitting a DMCA Takedown Notice</a>.**

**So that we can get back to you, please provide either your telephone number or physical address.**

[private]  
[private]

Email is the best: [private]

**Please type your full legal name below to sign this request.**

[private]
